<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="VerPEyRRPorCategoria.aspx.vb" Inherits="AudiControl.VerPEyRRPorCategoria" 
    title="<%$ Resources:TituloPaginas, TitVerPEBcpPorCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>


<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be" Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdMonitoreoBcp" runat="server" Text="" Visible="false"></asp:Label>

<div style="text-align:center;">
<div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblVerSACategoriaBcp %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMonitoreoBcp %>"></asp:Label>
</div>
<div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblVerSACategoriaBcp %>"></asp:Label></div>
            <br />
<uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
<br />
    <asp:GridView ID="gvProteccionExistente" runat="server" AutoGenerateColumns="False">
        <Columns>
             <asp:BoundField DataField="idCategoriaBcp" SortExpression="idCategoriaBcp" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" visible="false">
            </asp:BoundField>
            <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>           
            <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria" 
                HeaderText="<%$ Resources:Idioma, lblCategoria %>" ItemStyle-Width="300px" >
            </asp:BoundField>
             <asp:BoundField DataField="porcentajePE" SortExpression="porcentajePE" 
                HeaderText="<%$ Resources:Idioma, lblPorcentajePE %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:BoundField DataField="protExistente" SortExpression="protExistente" 
                HeaderText="<%$ Resources:Idioma, lblPE %>" ItemStyle-Width="150px" >
            </asp:BoundField>
             <asp:BoundField DataField="porcentajeRR" SortExpression="porcentajeRR" 
                HeaderText="<%$ Resources:Idioma, lblPorcentajeRR %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:BoundField DataField="riesResidual" SortExpression="riesResidual" 
                HeaderText="<%$ Resources:Idioma, lblRR %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:BoundField DataField="nivel" SortExpression="nivel" 
                HeaderText="<%$ Resources:Idioma, lblNivelRiesgo %>" ItemStyle-Width="150px" >
            </asp:BoundField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblActividades %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="60px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVerActividades" runat="server" CommandName="VER ACTIVIDADES" 
                        CommandArgument='<%# Eval("idCategoriaBcp")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerActividades" runat="server" Text='<%# Eval("totalActividades")%>'></asp:Label></asp:LinkButton>
                </ItemTemplate>
           </asp:TemplateField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAreas %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="60px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVerAreas" runat="server" CommandName="VER AREAS" 
                        CommandArgument='<%# Eval("idCategoriaBcp")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerAreas" runat="server" Text='<%# Eval("totalAreas")%>'></asp:Label></asp:LinkButton>
                        <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label> 
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>  
    <table>
    <tr><td align="center" style="width: 670px">
        <br />
        <telerik:ReportViewer ID="rvReporteGraficaPEPorCategoria" runat="server" 
            Height="440px" 
            Report="Com.Audisis.Reportes.ReporteGraficaPEPorCategoria, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" 
            ToolbarVisible="False" Width="680px">
        </telerik:ReportViewer>
        <br />
       <asp:Button ID="btnReporte" runat="server" 
                Text="<%$ Resources:Idioma, btnReportes %>" />
        &nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" />
        </td></tr></table>
        </div> 
</asp:Content>
