﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="EditarEstudio.aspx.vb" Inherits="AudiControl.EditarEstudio" 
    title="<%$ Resources:TituloPaginas, TitEditarEstudio %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio" TagPrefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>

<div class="alineacionIzquierda">
    <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEditarEstudio %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblSGR %>"></asp:Label>
</div>

<div class="header">
    <asp:Label ID="lblEditarEstudio" runat="server" Text="<%$ Resources:TituloPasos, lblEditarEstudio %>"></asp:Label></div><br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio><br />
    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
    <asp:Label ID="lblFaltaUsuario" style="display:none" runat="server" Text="<%$ Resources: idioma, rfvSeleccionUsuario %>" CssClass="colorError"></asp:Label><br />
    <asp:Label ID="NoModifica" style="display:none" runat="server" Text="<%$ Resources: idioma, rfvCambiaEstudio %>" CssClass="colorError"></asp:Label>
    <br />
    <table>
        <tr>
            <td style="text-align: right">
                <asp:Label ID="lblTipoEstudio" runat="server" Text="<%$ Resources:Idioma, lblTipoEstudio %>"></asp:Label>&nbsp;*
            </td>
            <td></td>
            <td style="text-align: left">
                <asp:RadioButtonList ID="rbtnTipoEstudio" runat="server" RepeatDirection= "Horizontal" Height="16px" Width="567px">
                    <asp:ListItem Text="<%$ Resources:Idioma, lblAplicacion %>" Value="1" Selected="True"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:Idioma, lblProceso %>" Value="4"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:Idioma, lblIT %>" Value="3"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:Idioma, lblTI %>" Value="2"></asp:ListItem>
                </asp:RadioButtonList>
                <asp:RequiredFieldValidator ID="rfvTipoEstudio" runat="server" ControlToValidate="rbtnTipoEstudio">
                    <asp:Label ID="lblSeleccionTipoEstudio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionTipoEstudio %>"></asp:Label>
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="height: 23px; text-align: right;">
                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblNombre %>" Height="22px"></asp:Label>&nbsp;*</td>
                <td style="width: 8px; height: 23px;">
            </td>
            <td align="left" style="width: 322px; height: 23px;">
                <asp:TextBox ID="txtEstudio" runat="server" Width="401px" Height="20px" MaxLength="400"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvNombre" runat="server" ControlToValidate="txtEstudio">
                    <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblNombreObligatorio %>"></asp:Label>
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style=" height: 24px; text-align: right; width: 280px;">
                <asp:Label ID="lblTipoProceso" runat="server" Text="<%$ Resources:Idioma, lblProceso %>"></asp:Label>&nbsp;*<br /><br /><br />
            </td>
            <td></td>
            <td style="text-align: left">
                <asp:DropDownList ID="drpTipoProceso" runat="server"></asp:DropDownList><br /><br />
                <asp:Button ID="btnMantenimientoProceso" runat="server" Text="<%$ Resources:Idioma, btnMantenimientoProceso %>" CausesValidation="false" Width="125px" /><br />
                <asp:RequiredFieldValidator ID="rfvTipoProceso" runat="server" ControlToValidate="drpTipoProceso" ErrorMessage="<%$ Resources:Idioma, rfvSeleccionProceso %>"></asp:RequiredFieldValidator>
            </td>
        </tr>
    </table>
    <br />
    <asp:Label Text="<%$ Resources: Idioma, AsignarEstudio %>" runat="server" CssClass="subtitulo"></asp:Label>
    <br />
    <asp:GridView ID="gvUsuario" runat="server" AutoGenerateColumns="false">
        <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="25px">
                <ItemTemplate>
                    <asp:CheckBox ID="chkUsuario" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="idUsuario" SortExpression="idUsuario" HeaderText="<%$ Resources:Idioma, lblId %>" />
            <asp:BoundField DataField="nombreUsuario" SortExpression="nombreUsuario" HeaderText="<%$ Resources:Idioma, NombreUsuario %>" ItemStyle-Width="200px" />
            <asp:BoundField DataField="apellidoUsuario" HeaderText="<%$ Resources: Idioma, ApellidoUsuario %>" ItemStyle-Width="200px" />
            <asp:BoundField DataField="login" HeaderText="<%$ Resources: Idioma, lblLogin %>" />
            <asp:BoundField DataField="nombrePerfil" HeaderText="<%$ Resources: Idioma, lblPerfil %>" />
        </Columns>
    </asp:GridView>
    
    <br />
    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>" CausesValidation = "true" />&nbsp;
    <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>" CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px"/>&nbsp;
    <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>" CausesValidation="false"/>&nbsp;
    <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation = "false" />

</asp:Content>
