﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="EditarFuncionario.aspx.vb" Inherits="AudiControl.EditarFuncionario" 
    title="<%$ Resources:TituloPaginas, TitEditarFuncionario %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio" TagPrefix="uc1" %>
        
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" style="display:none"></asp:Label>
<asp:Label ID="lblIdFuncionario" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdCargo" runat="server" Text="1" Visible="false"></asp:Label>
<asp:Label ID="lblIdCorreo" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
     
<div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblFuncionariosUno %>" CssClass="ruta"></asp:Label>
</div>
 <div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreE" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAdmonEmpresa %>"></asp:Label>
</div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarFuncionario" runat="server" Text="<%$ Resources:TituloPasos, lblEditarFuncionario %>"></asp:Label>
    </div>
    <br />
     <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
      <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito" ></asp:Label>
      <br />
     <table>
          <tr><td style="height: 26px; text-align: right;">
              <asp:Label ID="lblFuncionario" runat="server" 
                  Text="<%$ Resources:Idioma, lblFuncionario %>" Height="24px" Width="125px"></asp:Label>
              &nbsp;*</td>
           <td style="width: 8px"></td>
              <td style="width: 322px; height: 26px; text-align: left;">
                  <asp:TextBox ID="txtFuncionario" runat="server" Width="333px" MaxLength="50"></asp:TextBox>
                  <asp:RequiredFieldValidator ID="rfvNombreFuncionario"  runat="server" ControlToValidate="txtFuncionario">
                    <asp:Label ID="lblValidacionFuncionario" runat="server" Text="<%$ Resources: lblValidacionNombreFuncionario %>"></asp:Label></asp:RequiredFieldValidator>
                  </td></tr> 
      <tr><td style="height: 26px; text-align: right;">
              <asp:Label ID="lblDepenedencia" runat="server" 
                  Text="<%$ Resources:Idioma, lblNombreArea %>" Height="24px" Width="125px"></asp:Label>
              &nbsp;*</td>
           <td style="width: 8px"></td>
              <td style="width: 322px; height: 26px; text-align: left;">
                  <asp:DropDownList ID="drpDepenedencia" OnSelectedIndexChanged="cargarCargo" 
                      runat="server" AutoPostBack="True"></asp:DropDownList>
                      <asp:RequiredFieldValidator ID="rfvDependencia" runat="server"  ControlToValidate="drpDepenedencia" ErrorMessage="<%$ Resources: lblValidacionDependencia %>">
             </asp:RequiredFieldValidator>
                  </td></tr> 
        <tr><td style="height: 26px; text-align: right;">
              <asp:Label ID="lblCargo" runat="server" 
                  Text="<%$ Resources:Idioma, lblCargo %>" Height="24px" Width="125px"></asp:Label>
              &nbsp;*</td>
           <td style="width: 8px"></td>
              <td style="width: 322px; height: 26px; text-align: left;">
                  <asp:DropDownList ID="drpCargo" runat="server"></asp:DropDownList>
                  <asp:RequiredFieldValidator ID="rfvCargo" runat="server"  ControlToValidate="drpCargo" ErrorMessage="<%$ Resources: lblValidacionCargo %>">
             </asp:RequiredFieldValidator>
                  </td></tr>
                  
            <tr><td style="height: 26px; text-align: right;">
              <asp:Label ID="lblCorreo" runat="server" 
                  Text="<%$ Resources:Idioma, lblCorreo %>" Height="17px" Width="147px"></asp:Label>
                &nbsp;*</td>
           <td style="width: 8px"></td>
              <td style="width: 322px; height: 26px; text-align: left;">
                  <asp:TextBox ID="txtCorreo" runat="server" Width="264px" Visible="False" MaxLength="70"></asp:TextBox>
                  <asp:Button ID="btnCorreo" runat="server" 
                      Text="<%$ Resources:Idioma, btnAgregar %>" Visible="False" Width="68px" />
                  <br />
                  <asp:RegularExpressionValidator ID="rfvCorreo" runat="server" 
                        ErrorMessage="<%$ Resources:Idioma, lblCorreoNoValido %>" ControlToValidate="txtCorreo" 
                      ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                  </td></tr> 
            <tr>
            <td style="width: 163px; height: 23px;"></td><td style="height: 23px"></td>
                <td align="left" style="width: 322px; height: 23px;">

        <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaCorreo %>" runat="server" style="display:none" ></asp:Label>
                        
        <asp:GridView ID="gvListaCorreos" runat="server" AutoGenerateColumns="false" Visible="false">
        <Columns>
            <asp:BoundField DataField="idCorreo" SortExpression="idCorreo" HeaderText="<%$ Resources:Idioma, lblId %>" >
                <ItemStyle Width="90px" />
            </asp:BoundField>
            <asp:BoundField DataField="direccionCorreo" SortExpression="direccionCorreo" HeaderText="<%$ Resources:Idioma, lblCorreo %>" >
                <ItemStyle Width="200px" />
            </asp:BoundField>
            <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblAccion %>">
                <ItemTemplate>
                    <div style="text-align:center">
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idCorreo")%>' >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCorreo")%>'>
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                     </div>
                </ItemTemplate>
                <HeaderStyle HorizontalAlign="Center" />
                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
                <asp:Label ID="lblMensCorreo" runat="server" Visible="False"></asp:Label>
                    <br />
                  </td></tr>
                  <tr><td style="text-align: right;">
              <asp:Label ID="lblCodigo" runat="server" 
                  Text="<%$ Resources:Idioma, lblCodigo %>" Height="17px" Width="190px"></asp:Label>&nbsp;&nbsp; </td>
                      <td></td><td style="text-align: left">
                  <asp:TextBox ID="txtCodigo" runat="server" Width="167px" MaxLength="30"></asp:TextBox>
                      </td></tr>  
     <tr><td align = "center" colspan = "3" style="height: 26px">
         <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>" CausesValidation = "true" />
         &nbsp; <asp:Button ID="btnModificar" runat="server" 
             Text="<%$ Resources:Idioma, btnModificar %>" CausesValidation = "true" visible="false"/>
         &nbsp;
         <asp:Button ID="btnCancelar" runat="server" 
             Text="<%$ Resources:Idioma, btnCancelar %>" CausesValidation = "false"/>
         &nbsp;
         <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation = "false"/>
         <br />
               
     </td></tr>
     </table> 
</asp:Content>
