﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarActivosImpactados.aspx.vb" Inherits="AudiControl.ListarActivosImpactados" 
    title="<%$ Resources:TituloPaginas, TitActivos %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
<asp:label id="lblIdEstudio" runat="server" style="display:none"></asp:label>
<asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaActivo %>" runat="server" style="display:none" ></asp:Label>
   
 <div style="text-align:center">
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblActivos %>" CssClass="ruta"></asp:Label>
</div>
  <div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
</div>

  <div class="header">
        <asp:Label ID="lblListadoActivos" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoActivos %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
   
     <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass="colorError"></asp:Label>
    <asp:Label ID="lblNoActivo" runat="server" Visible="false" CssClass ="colorExito"></asp:Label>
    <br />
    <asp:GridView ID="gvListaActivo" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idActivo" SortExpression="idActivo" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
            <asp:BoundField DataField="descripcionActivo" SortExpression="descripcionActivo" HeaderText="<%$ Resources:Idioma, lblNombreActivo %>" ItemStyle-Width="350px" />
            <asp:BoundField DataField="valorActivo" SortExpression="valorActivo" HeaderText="<%$ Resources:Idioma, lblValor %>" ItemStyle-Width="150px" DataFormatString="{0:C2}" />
      
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idActivo")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idActivo")%>' CausesValidation ="false">
                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>                    
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
     
    <br />
    <table > 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombre"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio">
        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label>
        </asp:RequiredFieldValidator>
       </td>
    
       <td style="text-align: center">
       <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br />         
        </td>
       <td style="text-align: center;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
       <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="false" />&nbsp;&nbsp;
        <asp:Button ID="btnAgregarActivo" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
        &nbsp;&nbsp;&nbsp;
        <asp:Button ID="btnCargarDatos" runat="server" 
               Text="<%$ Resources:Idioma, btnCargarDatos %>" CausesValidation="False" />
        &nbsp;&nbsp;&nbsp;&nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
        </td>
     </tr>
    </table>

    </div>
   
</asp:Content>
