﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarAgenteGenerador.aspx.vb" Inherits="AudiControl.ListarAgenteGenerador" 
    title="<%$ Resources:TituloPaginas, TitAgentes %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"  TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAgente" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" style="display:none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaAgenteGenerador%>" runat="server" style="display:none" ></asp:Label>

<div class="alineacionIzquierda">
    <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblAgentes %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
</div>

    <div class="header">
        <asp:Label ID="lblListadoAgenteGenerador" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoAgenteGenerador %>"></asp:Label>
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
    
    <div style="text-align:center">
             
     
      <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    </div>
    <asp:Label ID="lblNoAgente" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaAgentes" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idAgente" SortExpression="idAgente" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
            <asp:BoundField DataField="nombreAgente" SortExpression="nombreAgente" HeaderText="<%$ Resources: lblAgente %>" ItemStyle-Width="350px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: lblTipoAgente %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                <ItemTemplate>
                    <asp:Label ID="lblInterno" runat="server" Text='<%# Eval("interno")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTipoAgente" runat="server" Text=""></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idAgente")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idAgente")%>' CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
      <table > 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio">
        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>

       <td style="text-align: center">
           <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br />       
        </td>

       <td style="text-align: center;">
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />
        &nbsp;
        <asp:Button ID="btnAgregarAgente" runat="server" 
               Text="<%$ Resources:Idioma, btnAgregar %>" CausesValidation="False" />
        &nbsp;
        <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        </td>
     </tr>
     </table>
    </div>

</asp:Content>
