<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarEstudios.aspx.vb" Inherits="AudiControl.ListarEstudios" 
    title="<%$ Resources:TituloPaginas, TitEstudio %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaEstudio %>" runat="server" style="display:none" ></asp:Label>
    <br />
        <div>
            <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEstudio %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblSGR %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblListadoEstudios" runat="server" Text="<%$ Resources:Idioma, SelecionarEstudio %>"></asp:Label>
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>          
      <br />
      <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass="colorError"></asp:Label>
      <asp:Label ID="lblNoEstudio" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaEstudios" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idEstudio" SortExpression="idEstudio" HeaderText="<%$ Resources:Idioma, lblId %>" />
            <asp:BoundField DataField="nombreEstudio" SortExpression="nombreEstudio" HeaderText="<%$ Resources:Idioma, Egr %>" ItemStyle-Width="300px" />
            <asp:BoundField DataField="fechaCreacion" HeaderText="<%$ Resources: Idioma, FechaCreacion %>" DataFormatString="{0: dd MMM yyyy}" />
            <asp:BoundField DataField="nombre" HeaderText="<%$ Resources: Idioma, lblTipoEstudio %>" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                <ItemTemplate>
                    <div >
                        <asp:LinkButton ID="lnkAbrirEstudio" runat="server" CommandName="ABRIRESTUDIO" CommandArgument='<%# Eval("idEstudio")%>' CausesValidation="false" >
                            <asp:Label ID="lblAbrirEstudio" runat="server" Text="<%$ Resources:Idioma, lblAbrirEstudio %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                             <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEstudio")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                    &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idEstudio")%>' CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
            <br />
    <table > 
     <tr>
         <td style="height: 42px" >
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio">
        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
          <td style="height: 42px" >
          <asp:TextBox ID="txtCriterio" runat="server"  />&nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />&nbsp;
        </td>
     
       <td style=" text-align: center; height: 42px;">&nbsp;&nbsp;
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReportes %>" 
               CausesValidation="False" Width="81px" />&nbsp;
        <asp:Button ID="btnAgregarEstudio" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
        &nbsp;     
            <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" 
               Height="19px" Width="66px" />
        
        </td>
     </tr>
    </table>
    </div>
</asp:Content>