﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarObjetivosAuditoria.aspx.vb" Inherits="AudiControl.ListarObjetivosAuditoria" 
    title="<%$ Resources:TituloPaginas, TitObjetivoAud %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
 
 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblOpcion" runat="server" Text="" Visible="false"></asp:Label>   
  <div style="text-align:center; ">
      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text=""></asp:Label>
</div>
  <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblObjAuditoria %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
    <br />
    
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    <asp:Label ID="lblNoObjetivos" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
    <asp:GridView ID="gvListaObjetivos" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idObjetivoAuditoria" SortExpression="idObjetivoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
            <asp:BoundField DataField="descripcionObjetivoAud" SortExpression="descripcionObjetivoAud" HeaderText="<%$ Resources:Idioma, lblObjetivos %>" ItemStyle-Width="400px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px"  HeaderStyle-Width ="120px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idObjetivoAuditoria")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>

    <br />
    <table> 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: center">
        <asp:TextBox ID="txtCriterio" runat="server" Height="16px"  />
           <br />
           <br />
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br /><asp:RequiredFieldValidator ID="rfvBusqueda"  runat="server" ControlToValidate="txtCriterio"><asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
         

        </td>
       <td style="width: 432px">
           <br />
           <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" 
               Width="86px" />
           &nbsp; <asp:Button ID="btnCargarDatos" runat="server" 
               Text="<%$ Resources:Idioma, btnCargarDatos %>" CausesValidation="False" />
        &nbsp;<br />
           <br />
        <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
        &nbsp;     
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
        </td>
     </tr>
    </table>
</asp:Content>
