﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarEventosOcurridosPorAmenaza.aspx.vb" Inherits="AudiControl.ListarEventosOcurridosPorAmenaza" 
    title="<%$ Resources:TituloPaginas, TitEventoPorAmenaza %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
   <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
   <asp:Label ID="lblIdEventoOperativo" runat="server" Text="" Visible="false"></asp:Label>
        <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEventosPorAmenaza %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAnalisisRero %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblTituloPaso" runat="server" 
            Text="<%$ Resources:TituloPasos, lblEventosPorAmenaza %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    
    <div style="text-align:center">
      <br />
      <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    </div>
    <asp:Label ID="lblNoEvento" runat="server" Visible="False" CssClass ="colorExito "></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaEventos" runat="server" AutoGenerateColumns="false" AllowPaging="true" PageSize ="15" >
        <Columns>
            <asp:BoundField DataField="idEventoOperativo" SortExpression="idEventoOperativo" 
                ItemStyle-Width="90px" Visible="False">
            </asp:BoundField>
            <asp:BoundField DataField="descripcionEvento" SortExpression="descripcionEvento" 
                HeaderText="<%$ Resources:Idioma, lblEvento %>" ItemStyle-Width="450px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAnalisisEvento %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEventoOperativo")%>' CausesValidation="false" >
                            <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>

          </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
    
    <br />
      <table> 
     <tr>
       <td style="text-align: right;">
        <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        </td>
     </tr>
     </table>
    &nbsp;
    </div>
</asp:Content>