﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarLineasOperativas.aspx.vb" Inherits="AudiControl.ListarLineasOperativas" 
    title="<%$ Resources:TituloPaginas, TitLineasOperativas %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
 
 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
          
  <div style="text-align:center; ">
      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblListarLineasOperativas %>" CssClass="ruta"></asp:Label>
</div>
  <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoRERO %>"></asp:Label>
</div>
  <div class="header">
        <asp:Label ID="lblListaLineasOperativas" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListaLineasOperativas %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
    <br />
    
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    <asp:Label ID="lblNoLineaOperativa" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
    <asp:GridView ID="gvListaLineasOperativas" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idLineaOperativa" SortExpression="idLineaOperativa" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
            <asp:BoundField DataField="nombreLinea" SortExpression="nombreLinea" HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="370px" />
            <asp:BoundField DataField="codigo" SortExpression="codigo" HeaderText="<%$ Resources:Idioma, lblCodigo %>" ItemStyle-Width="100px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px"  HeaderStyle-Width ="250px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idLineaOperativa")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar('Linea Operativa',true)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idLineaOperativa")%>' CausesValidation ="false">
                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>                    
                      </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>

    <br />
    <table> 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: center; width: 245px;">
        <asp:TextBox ID="txtCriterio" runat="server" Height="16px"  />
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />

        </td>
       <td style="width: 432px">
         <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
       &nbsp;&nbsp;
       <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
        </td>
     </tr>
    </table>
</asp:Content>

