﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="SeleccionAmenazaAsociadaEvento.aspx.vb" Inherits="AudiControl.SeleccionAmenazaAsociadaEvento" 
    title="<%$ Resources:TituloPaginas, TitRelacionAmenazaEvento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEventoOperativo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblRelacionAmenazaEvento %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAnalisisRero %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblRelacionAmenazaEvento" runat="server" 
            Text="<%$ Resources:TituloPasos, lblRelacionAmenazaEvento %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div class="alineacionIzquierda"><asp:Label ID="lblDatosEvento" runat="server" CssClass="subtitulo"></asp:Label></div>
        <br />
    <asp:Label ID="lblNoAmenaza" runat="server" Text="<%$ Resources:Idioma, lblEstSinAmenParaRelacion %>" Visible="false" CssClass="colorExito"></asp:Label>
      <table> 
      <tr><td colspan="2"></td></tr>
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" Width="380px" style="margin-right: 0px">
            <asp:ListItem Text="<%$ Resources: Idioma, lblBuscarPorCategoria %>" Value="relacion"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblBuscarPorAmenaza %>" Value="amenaza"></asp:ListItem>
             <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
             <asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: left ">
           <br />
       <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;
         <br />
         
        </td> </tr><tr>
        <td colspan="2">
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" 
               CausesValidation="true" />
              </td></tr>
    
     <tr><td colspan="2">
        
         <br />
        
        <asp:Label ID="lblNoAmenazaCategoria" runat="server" Text="<%$ Resources:Idioma, lblEstSinAmenParaRelacion %>" Visible="false" CssClass="colorExito"></asp:Label>
         <asp:Label ID="lblExito" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
         <asp:GridView ID="gvListaAmenazas" runat="server" AutoGenerateColumns="False">
         <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText=""
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px">
                <ItemTemplate>
                <input name="rbtSeleccionAmenaza" type="radio" value='<%# Eval("idAmenaza") %>' <%# Eval("seleccionada") %> />
                <asp:Label ID="lblSeleccionada" runat="server" Text='' Visible="true"></asp:Label> 
                </ItemTemplate>
          </asp:TemplateField>
            <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px">
            </asp:BoundField>
            <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza" 
                HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="450px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px" Visible="False">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idAmenaza")%>' CausesValidation="false" >
                            <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>
          </asp:TemplateField>
            </Columns>
         </asp:GridView>
         </td></tr>
         <tr><td colspan="2">
             <br />
             <asp:Button ID="btnMantenimientoAmenaza" runat="server" 
                 Text="<%$ Resources:Idioma, lblMantenimientoAmenazas %>" 
                 CausesValidation="False" Width="183px" />
             &nbsp;<asp:Button ID="btnAceptar" runat="server" 
                 Text="<%$ Resources:Idioma, btnGuardarSelAmenaza %>" CausesValidation="False" 
                 Width="188px" />
&nbsp;
             <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
             </td></tr>
     </table>
      </div>
</asp:Content>
