﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="VerAnalisisEventoOperativoParteDosPorBusqueda.aspx.vb" Inherits="AudiControl.VerAnalisisEventoOperativoParteDosPorBusqueda" 
   title="<%$ Resources:TituloPaginas, TitAnalisisEventoParteDos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEventoOperativo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEventoOperativoConsulta" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAmenazaConsulta" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblAnalisisParteDos %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAnalisisRero %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblAnalisisEvento" runat="server" 
            Text="<%$ Resources:TituloPasos, lblAnalisisEventoDos %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
     <div class="alineacionIzquierda ">
        <br />
    <asp:Label ID="lblDatosEvento" runat="server" Visible="False" CssClass="subtitulo"></asp:Label>
        <br />
    <asp:Label ID="lblDatosEstudio" runat="server" Text="" Visible="false" CssClass="subtituloSegundoNivel"></asp:Label>
         <br />
    <asp:Label ID="lblDatosAmenaza" runat="server" Visible="False" 
             CssClass="subtituloTercerNivel"></asp:Label>
         <br />
    </div>
    <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Text="<%$ Resources:Idioma, lblExito %>" Visible="false"></asp:Label>
      <table> 
      <tr><td colspan="1" style="width: 366px">
          <asp:Label ID="lblTerceros" runat="server" 
              Text="<%$ Resources:Idioma, lblIntervencionTer %>" CssClass="subtituloTercerNivel"></asp:Label>
          &nbsp;&nbsp;&nbsp;<asp:RadioButtonList  id="rblTerceros" 
                 runat="server" style="margin-right: 0px" RepeatDirection="Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblNo %>" Value="No"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblSi %>" Value="Si"></asp:ListItem>
        </asp:RadioButtonList>
          </td></tr>
          <tr><td colspan="2" style="text-align: center; width: 366px;">
              <asp:TextBox ID="txtTerceros" runat="server" Height="71px" MaxLength="250" 
                  TextMode="MultiLine" Width="393px"></asp:TextBox>
                  <asp:CustomValidator ID="cvDescripcion" runat="server" ControlToValidate="txtTerceros">
                <asp:Label ID="lblMaximoCaracterDescripcion" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                </asp:CustomValidator>
              <br />
              </td></tr></table>
           <table><tr><td colspan="2" style="width: 570px">
               <br />
               <asp:Label ID="lblAgentes" runat="server" CssClass="subtituloTercerNivel" 
                   Text="<%$ Resources:Idioma, lblAgentes %>"></asp:Label>
               &nbsp;&nbsp;
                    <br />
               </td></tr>
           <tr><td colspan="2">
                    <asp:Label ID="lblNoAgente" runat="server" CssClass="colorExito" 
                        Visible="False"></asp:Label>
                    <br />
    <asp:GridView ID="gvListaAgentes" runat="server" AutoGenerateColumns="false" 
                        AllowPaging="True" PageSize="8">
        <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText=""
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px">
                <ItemTemplate>
                <asp:Label ID="lblIdAgente" runat="server" Text='<%# Eval("idAgente") %>' Visible="false"></asp:Label>
                <asp:Label ID="lblIdEventoAgente" runat="server" Text='<%# Eval("idEventoAgente") %>' Visible="false"></asp:Label>
                <asp:CheckBox ID="chkAgente" runat="server" visible="true"/>
                </ItemTemplate>
          </asp:TemplateField>
            <asp:BoundField DataField="idAgente" SortExpression="idAgente" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>
            <asp:BoundField DataField="nombreAgente" 
                SortExpression="nombreAgente" HeaderText="<%$ Resources:Idioma, lblAgentes %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="300px" >
            </asp:BoundField>
        </Columns>
    </asp:GridView>
                    <br />
               </td></tr>
           <tr><td colspan="2">
               <asp:Label ID="lblActivos" runat="server" 
                   CssClass="subtituloTercerNivel" 
                   Text="<%$ Resources:Idioma, lblActivos %>"></asp:Label>
               &nbsp;&nbsp;
                    </td></tr>
           <tr><td colspan="2">
                    <asp:Label ID="lblNoActivo" runat="server" CssClass="colorExito" 
                        Visible="False"></asp:Label>
                    <br />
    <asp:GridView ID="gvListaActivos" runat="server" AutoGenerateColumns="false" 
                   AllowPaging="True" PageSize="8">
        <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText=""
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px">
                <ItemTemplate>
                <asp:Label ID="lblIdActivo" runat="server" Text='<%# Eval("idActivo") %>' Visible="false"></asp:Label>
                <asp:Label ID="lblIdEventoActivo" runat="server" Text='<%# Eval("idEventoActivo") %>' Visible="false"></asp:Label>
                <asp:CheckBox ID="chkActivo" runat="server" visible="true"/>
                </ItemTemplate>
          </asp:TemplateField>
            <asp:BoundField DataField="idActivo" SortExpression="idActivo" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>
            <asp:BoundField DataField="descripcionActivo" 
                SortExpression="descripcionActivo" HeaderText="<%$ Resources:Idioma, lblActivos %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="300px" >
            </asp:BoundField>
        </Columns>
    </asp:GridView>
                    <br />
               </td></tr>
     <tr>
        <td colspan="2" >
            <br />
       &nbsp;<asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        </td>
     </tr>
     </table>
    </div>
</asp:Content>