﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="AnalisisCostoControlPorAmenaza.aspx.vb" Inherits="AudiControl.AnalisisCostoControlPorAmenaza" 
    title="<%$ Resources:TituloPaginas, TitAnalisisCostoBeneficioControles %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenazaControl" runat="server" Text="" Visible="false"></asp:Label>
    
    <div class="alineacionIzquierda">
    <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblCostoBeneficioCostoControl %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
<tr><td>
<asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
</td><td>
<asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
</td></tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblDefinirEspecificacionesControles %>"></asp:Label>
</div>
    <div class="header" >
            <asp:Label ID="lblCostoBeneficioControles" runat="server" Text="<%$ Resources:TituloPasos, lblCostoControles %>"></asp:Label></div>
            <br />
  <div style="text-align:center;">
      <table>
          <tr><td colspan="2">
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
      <table><tr><td colspan="3">
      <div class="alineacionIzquierda"><asp:Label ID="lblDatosAmenaza" runat="server" Text="" CssClass="subtitulo"></asp:Label></div>
      
          <br />
          <div style="overflow: auto; height: 170px; width: 980px;">
   <asp:GridView ID="gvDatosControl" runat="server" AutoGenerateColumns="false"  Visible = "false">
        <Columns>
        <asp:BoundField DataField="idEstudioAmenazaControl" SortExpression="idEstudioAmenazaControl" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" Visible="false" >
            </asp:BoundField>
            <asp:BoundField DataField="idControl" SortExpression="idControl" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>
            <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl" 
                HeaderText="<%$ Resources:Idioma, lblControl %>" ItemStyle-Width="400px" >
            </asp:BoundField>
            <asp:BoundField DataField="tipoControl" SortExpression="tipoControl" 
                HeaderText="<%$ Resources:Idioma, lblTipoControl %>" ItemStyle-Width="100px" >
            </asp:BoundField>
            <asp:BoundField DataField="claseControl" SortExpression="claseControl" 
                HeaderText="<%$ Resources:Idioma, lblClaseControl %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEstado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("estado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text="" ></asp:Label>
                    <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblDescripcionControl" runat="server" Text='<%# Eval("descripcionControl")%>' Visible="false"></asp:Label>
                </ItemTemplate>  
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblCostosControlesPorAmenaza %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVerControles" runat="server" CommandName="VERCONTROLES" CommandArgument='<%# Eval("idEstudioAmenazaControl")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerControles" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                </ItemTemplate></asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
          <br />
          <asp:Label ID="lblDatos" runat="server" CssClass="subtitulo" Visible="false"></asp:Label>
          <br />
          <br />
          <asp:Label ID="lblMensCostoControles" runat="server" 
              CssClass="subtituloSegundoNivel" Visible="False"></asp:Label>
          <br />
          <asp:Label ID="lblExitoControl" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
          <br />
          </td> </tr>
      <tr><td colspan="3"><table>
      <tr><td style="text-align: right">
      <br />
                <asp:Label ID="lblAdquisicion" runat="server" 
              Text="<%$ Resources:lblAdquisicion %>" Visible="False"></asp:Label>
          </td><td>
          <asp:TextBox ID="txtAdquisicion" runat="server" Visible="False"></asp:TextBox>
          </td><td></td><td style="text-align: right">
          <asp:Label ID="lblInstalacion" runat="server" 
              Text="<%$ Resources:lblInstalacion %>" Visible="False"></asp:Label>
          </td><td>
          <asp:TextBox ID="txtInstalacion" runat="server" Visible="False"></asp:TextBox>
          </td></tr>
          <tr><td colspan="2">
              <asp:CustomValidator ID="cvCostoAdquisicion" runat="server" 
                  ControlToValidate="txtAdquisicion" ErrorMessage=""></asp:CustomValidator>
              </td><td>
                  &nbsp;</td><td colspan="2">
              <asp:CustomValidator ID="cvCostoInstalacion" runat="server" 
                  ControlToValidate="txtInstalacion" ErrorMessage=""></asp:CustomValidator></td></tr>
      <tr><td style="text-align: right">
          <asp:Label ID="lblOperacion" runat="server" 
              Text="<%$ Resources:lblOperacion %>" Visible="False"></asp:Label>
          </td><td>
          <asp:TextBox ID="txtOperacion" runat="server" Visible="False"></asp:TextBox>
          </td><td></td><td style="text-align: right">
          <asp:Label ID="lblMantenimiento" runat="server" 
              Text="<%$ Resources:lblMantenimiento %>" Visible="False"></asp:Label>
          </td><td>
          <asp:TextBox ID="txtMantenimiento" runat="server" Visible="False"></asp:TextBox>
          </td></tr>
          <tr><td colspan="2">
              <asp:CustomValidator ID="cvCostoOperacion" runat="server" 
                  ControlToValidate="txtOperacion" ErrorMessage=""></asp:CustomValidator>
              </td><td>
                  &nbsp;</td><td colspan="2">
              <asp:CustomValidator ID="cvCostoMantenimiento" runat="server" 
                  ControlToValidate="txtMantenimiento" ErrorMessage=""></asp:CustomValidator>
              </td></tr>
      <tr><td colspan="2" style="text-align: right">
          <asp:Label ID="lblCosto" runat="server" Text="<%$ Resources:lblCosto %>" 
              Visible="False"></asp:Label>
          </td><td></td><td colspan="2" style="text-align: left">
          <asp:Label ID="lblCostoTotal" runat="server" Text="Label" Visible="False"></asp:Label>
          </td></tr>
      </table></td></tr>
      </table>
          <br />
          </td></tr>
          <tr><td colspan="2">
               &nbsp;<asp:Button ID="btnGuardar" runat="server" 
              Text="<%$ Resources:Idioma, btnGuardar %>" Visible="False" />
             &nbsp;
   <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
              </td></tr>
      </table>
    </div>   
</asp:Content>

