﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="ListarRiesgosEstudio.aspx.vb" Inherits="AudiControl.ListarRiesgosEstudio" 
    title="<%$ Resources:TituloPaginas, TitCategoriasEstudio %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudioCat" runat="server" Text="" Visible="false"></asp:Label>

<div style="text-align:center;">
   <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblAsignacionAmenazasRiesgos %>" CssClass="ruta" ></asp:Label>
</div>
  <div class ="headerContent">
 <table class="izquierda">
<tr><td>
<asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
<tr><td>
<asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
</td><td>
<asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
</td></tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblValorarRiesgosPotenciales %>"></asp:Label>
</div>
<div class="header">
            <asp:Label ID="lblAsignarAmenazasRiesgos" runat="server" Text="<%$ Resources:TituloPasos, lblAsignarAmenazasRiesgos %>"></asp:Label></div>
            <br />
     <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <br />
    
    <table>
      <tr><td>
        <asp:Label ID="lblNoCategoria" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
            </td>
           </tr>
           <tr>
        <td >
        
          <asp:GridView ID="gvListaRiesgos" runat="server" AutoGenerateColumns="False">
         
           <Columns>      
           <asp:BoundField DataField="idEstudioCategoria" SortExpression="idEstudioCategoria" 
                   HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" 
                   Visible="False" >
               </asp:BoundField>
           <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo" 
                   HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px" >
               </asp:BoundField>
           <asp:BoundField DataField="descripcionCategoria" 
                   SortExpression="descripcionCategoria" 
                   HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="350px" >
               </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEstado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("estado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px" HeaderText="<%$Resources: Idioma, lblAsterisco %>">
                <ItemTemplate>
                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEstudioCategoria")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"></asp:Label></asp:LinkButton>
                               </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
             </td>
        </tr>
        </table>
       <br />
        <table>            
        <tr>
            <td>
                &nbsp;<asp:DropDownList ID="drpReportes" runat="server">
        <asp:ListItem Text="<%$ Resources:Idioma, drpAmenazasElegiblesParaEstudio %>" Value="2"></asp:ListItem>
        <asp:ListItem Text="<%$ Resources:Idioma, drpAmenazasSelPorCategoriaEnEstudio %>" Value="3"></asp:ListItem>
        </asp:DropDownList>
     &nbsp;<asp:Button ID="btnReporte" runat="server" 
                    Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />
                &nbsp;
                <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false"/>
                <br />
                
                </td>
        </tr>
    </table>
    </div>
</asp:Content>

