﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarActividadesCriticas.aspx.vb" Inherits="AudiControl.ListarActividadesCriticas" 
    title="<%$ Resources:TituloPaginas, TitActividadCritica %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
 
 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        
  <div style="text-align:center; ">
      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblListaActividadCritica %>" CssClass="ruta"></asp:Label>
</div>
  <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoBCP %>"></asp:Label>
</div>
  <div class="header">
        <asp:Label ID="lblTitulo" runat="server" 
            Text="<%$ Resources:Idioma, lblActividades %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
    <br />
    
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    <asp:Label ID="lblNoActividadCritica" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
    <asp:GridView ID="gvListaActividades" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idActividadCritica" SortExpression="idActividadCritica" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
            <asp:BoundField DataField="descripcionActividad" SortExpression="descripcionActividad" HeaderText="<%$ Resources:Idioma, lblActividades %>" ItemStyle-Width="400px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px"  HeaderStyle-Width ="100px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idActividadCritica")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                </ItemTemplate>
           </asp:TemplateField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRelaciones %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="350px"  HeaderStyle-Width ="350px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVerRelacionArea" runat="server" CommandName="VER RELACION AREA" CommandArgument='<%# Eval("idActividadCritica")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditarRelacionArea" runat="server" Text="<%$ Resources:Idioma, lblAreas %>"></asp:Label></asp:LinkButton>
                        &nbsp;
                    <asp:LinkButton ID="lnkVerRelacionRequerimiento"  runat="server" CommandName="VER RELACION REQUERIMIENTO" CommandArgument='<%# Eval("idActividadCritica")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerRelacionRequerimiento" runat="server" Text="<%$ Resources:Idioma, lblRequerimientos %>"></asp:Label></asp:LinkButton>                    

                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>

    <br />
    <table> 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: center">
        <asp:TextBox ID="txtCriterio" runat="server" Height="16px"  />
           <br />
           <br />
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br /><asp:RequiredFieldValidator ID="rfvBusqueda"  runat="server" ControlToValidate="txtCriterio"><asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
         

        </td>
       <td style="width: 432px">
           <br />
           <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReporteActividades %>" CausesValidation="False" 
               Width="174px" />
        &nbsp;
        <asp:Button ID="btnReporteRelacion" runat="server" 
               Text="<%$ Resources:Idioma, btnRelacionActividadArea %>" 
               CausesValidation="False" Width="211px" />
           <br /><br />
        &nbsp;&nbsp;&nbsp;
         <asp:Button ID="btnReporteReq" runat="server" 
               Text="<%$ Resources:Idioma, btnRelacionActividadReq %>" 
               CausesValidation="False" Width="256px" Height="19px" />
            <br />
           <br /><asp:Button ID="btnCargarDatos" runat="server" 
               Text="<%$ Resources:Idioma, btnCargarDatos %>" CausesValidation="False" />
        &nbsp;
        <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
        &nbsp;     
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
        </td>
     </tr>
    </table>
</asp:Content>