﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarActividadesParaPlaneacionSeguimiento.aspx.vb" Inherits="AudiControl.ListarActividadesParaPlaneacionSeguimiento" 
    title="<%$ Resources:TituloPaginas, TitPlaneacionPlan %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdMonitoreoBcp" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoBcp" runat="server" Text="" Visible="false"></asp:Label>
    
      <div style="text-align:center;">
      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblDefPlanMajBcp %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMonitoreoBcp %>" ></asp:Label>
</div>  

      <div class="header">
           <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblDiseñarAccionesMejoramiento %>" ></asp:Label></div>   
            <br /> 
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    
    <table>
         <tr>
                <td >
                    
    <asp:GridView ID="gvListaActividades" runat="server" AutoGenerateColumns="false" 
                        AllowPaging="True">
        <Columns>
            <asp:BoundField DataField="idActividadCritica" SortExpression="idActividadCritica" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
<ItemStyle Width="80px"></ItemStyle>
            </asp:BoundField>
            <asp:BoundField DataField="descripcionActividad" 
                SortExpression="descripcionActividad" HeaderText="<%$ Resources:Idioma, lblActividad %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="400px" >
<ItemStyle VerticalAlign="Top" Width="400px"></ItemStyle>
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEvaluacion %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                <ItemTemplate>                                            
                     <asp:Label ID="lblIdActividadCritica" runat="server" Text='<%# Eval("idActividadCritica") %>' ></asp:Label>
                    <asp:Label ID="lblIdProteccionExistente" runat="server" Text='<%# Eval("protExistente") %>' ></asp:Label>                                             
                    <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label>                                             
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>

<ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="250px"></ItemStyle>
           </asp:TemplateField>
                                
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccionesMejoramiento %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <div style="text-align:center; width: 90px;">
                        &nbsp;
                        <asp:LinkButton ID="lnkVerAcciones" runat="server" CommandName="VERACCIONES" CommandArgument='<%# Eval("idPlanMejoramientoBcp")%>'>
                        <asp:Label ID="lblVerAcciones" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>                        
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>

<ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
            </asp:TemplateField>  
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTerminado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                </ItemTemplate>

<HeaderStyle HorizontalAlign="Center"></HeaderStyle>

<ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="90px"></ItemStyle>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
                        <br />
                   
                </td>
            </tr>
             <tr>
             <td colspan="2">
                  <br />
                 <asp:Label ID="lblDatosActividad" runat="server" Text="" CssClass="subtitulo" Visible="false"></asp:Label>
                 <br />
    <asp:GridView ID="gvListaAcciones" runat="server" AutoGenerateColumns="false" Visible="false">
        <Columns>
            <asp:BoundField DataField="idAccionMejoramientoBcp" SortExpression="idAccionMejoramientoBcp" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" ></asp:BoundField>
            <asp:BoundField DataField="descripcionAccion" SortExpression="descripcionAccion" 
                HeaderText="<%$ Resources:Idioma, lblAccionesMejoramiento %>" ItemStyle-Width="350px" ></asp:BoundField>
            <asp:BoundField DataField="alternativa" 
                SortExpression="alternativa" HeaderText="<%$ Resources:Idioma, lblAlternativaTratamiento %>" ItemStyle-Width="90px" >
            </asp:BoundField>
            <asp:BoundField DataField="prioridad" 
                SortExpression="prioridad" HeaderText="<%$ Resources:Idioma, lblPrioridad %>" ItemStyle-Width="90px" >
            </asp:BoundField>
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTerminado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
             <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <div style="text-align:center; width: 90px;">
                        <asp:Label ID="lblIdPlanMejoramientoBcp" runat="server" Text='<%# Eval("idPlanMejoramientoBcp") %>' visible="false"></asp:Label>
                            <asp:LinkButton ID="lnkVerPlaneacionSeguimiento" runat="server" CommandName="PLANEAR SEGUIMIENTO" CommandArgument='<%# Eval("idAccionMejoramientoBcp")%>'>
                            <asp:Label ID="lblEditarPlaneacionSeguimiento" runat="server" Text="<%$ Resources:Idioma, lblIngresarVer %>"></asp:Label></asp:LinkButton>                        
                </ItemTemplate><HeaderStyle HorizontalAlign="Center"></HeaderStyle>
            </asp:TemplateField> 
        </Columns>
    </asp:GridView>
                 <br />
        <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" 
               Width="70px" />
              
                 <asp:Button ID="btnAdicionarAT" runat="server" 
                     Text="<%$ Resources:Idioma, btnAdicionarAcc %>" visible="false" 
                     Width="127px"/>
                 <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" />
                 <br />
             </td>
             </tr>
        </table>
    
    
    </div> 
</asp:Content>