﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="SeleccionModeloRiesgo.aspx.vb" Inherits="AudiControl.SeleccionModeloRiesgo" 
   title="<%$ Resources:TituloPaginas, TitSeleccionModelo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblSeleccionModelo %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoBCP %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblRelacionAmenazaEvento" runat="server" 
            Text="<%$ Resources:TituloPasos, lblSeleccionModelo %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    
    <table>     
     <tr><td colspan="2">
         <asp:Label ID="lblExito" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
         <asp:GridView ID="gvListaModelos" runat="server" AutoGenerateColumns="False">
         <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText=""
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px">
                <ItemTemplate>
                <input name="rbtSeleccionModelo" type="radio" value='<%# Eval("idModRiesgo") %>' <%# Eval("seleccionado") %> />
                <asp:Label ID="lblSeleccionado" runat="server" Text='' Visible="true"></asp:Label> 
                </ItemTemplate>
          </asp:TemplateField>
            <asp:BoundField DataField="idModRiesgo" SortExpression="idModRiesgo" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px" Visible="false">
            </asp:BoundField>
            <asp:BoundField DataField="nombreModalidad" SortExpression="nombreModalidad" 
                HeaderText="<%$ Resources:Idioma, lblModeloRiesgo %>" ItemStyle-Width="200px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblCategorias %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkVer" runat="server" CommandName="Ver" CommandArgument='<%# Eval("idModRiesgo")%>' CausesValidation="false" >
                            <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>
          </asp:TemplateField>
            </Columns>
         </asp:GridView>
         </td></tr>
         <tr><td>
             <br />
             <asp:Label ID="lblDatosModelo" runat="server" CssClass="subtitulo"></asp:Label>
             <br />
              <asp:Label ID="lblNoCategoria" runat="server" CssClass="colorExito"></asp:Label>
             <asp:GridView ID="gvListaCategorias" runat="server" AutoGenerateColumns="False" 
                 AllowPaging="True" PageSize="8" Visible="False">
         <Columns>
            <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px">
<ItemStyle Width="90px"></ItemStyle>
            </asp:BoundField>
            <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria" 
                HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="350px" >
<ItemStyle Width="350px"></ItemStyle>
            </asp:BoundField>
            </Columns>
         </asp:GridView></td></tr>
         <tr><td colspan="2">
             <br />
              <asp:Button ID="btnMantCategorias" runat="server" 
                 Text="<%$ Resources:Idioma, lblMantenimientoCategorias %>" CausesValidation="False" 
                 Width="220px" />
             &nbsp;
             <asp:Button ID="btnSelCategorias" runat="server" 
                 Text="<%$ Resources:Idioma, btnSelCategorias %>" CausesValidation="False" 
                 Width="148px" />
             &nbsp; <asp:Button ID="btnAceptar" runat="server" 
                 Text="<%$ Resources:Idioma, btnGuardar %>" CausesValidation="False" 
                 Width="69px" />
             &nbsp;
             <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
             </td></tr>
     </table>
      </div>
</asp:Content>