﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="SeleccionarMotivosEstadoAccion.aspx.vb" Inherits="AudiControl.SeleccionarMotivosEstadoAccion" 
    title="<%$ Resources:TituloPaginas, TitSeleccionMotivoEstado %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdMonitoreoBcp" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdAccionMejoramientoBcp" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdPlanMejoramientoBcp" runat="server" Text="" Visible="false"></asp:Label>

<div style="text-align:center;">
<div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblSelMotivoEstadoAccionBcp %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent ">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMonitoreoBcp %>"></asp:Label>
</div>
<div class="header">
        <asp:Label ID="lblSeleccionarMotivo" runat="server" Text="<%$ Resources:TituloPasos, lblSeleccionarMotivoEstado %>"></asp:Label>    
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
        <br />
  <table>
  <tr><td> <asp:Label ID="lblDatosAccion" runat="server" Text="" CssClass="subtituloSegundoNivel" ></asp:Label></td></tr>
  <tr>
  <td class="alineacionIzquierda">
   <asp:Label ID="lblMotivosEstado" runat="server" Text="<%$ Resources:Idioma, lblMotivosEstado %>" CssClass="subtituloTercerNivel" ></asp:Label>
      <br />
      <br />
      <asp:Label ID="lblNoMotivo" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
  </td>
  </tr>
   <tr>
  <td>
   <asp:GridView ID="gvListaMotivos" runat="server" AutoGenerateColumns="false">
        <Columns>
         <asp:TemplateField HeaderStyle-HorizontalAlign="Center" 
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="20">
                <ItemTemplate>
                <asp:CheckBox ID="chkMotivo" runat="server" />
                 <asp:Label ID="lblSeleccionado" runat="server" Text='<%# Eval("seleccionado") %>' Visible="false"></asp:Label> 
                <asp:Label ID="lblIdMotivoEstadoAccionBcp" runat="server" Text='<%# Eval("idMotivoEstadoAccionBcp") %>' Visible="false"></asp:Label> 
                  </ItemTemplate>
           </asp:TemplateField>
            <asp:BoundField DataField="idMotivoEstadoAccionBcp" SortExpression="idMotivoEstadoAccionBcp" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="50px" />
            <asp:BoundField DataField="motivo" SortExpression="motivo" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px" />
       <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px"  HeaderStyle-Width ="180px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idMotivoEstadoAccionBcp")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar('Motivo',false)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idMotivoEstadoAccionBcp")%>' CausesValidation ="false">
                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>                    
                       </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
      <br />
  <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" CausesValidation="false"/>
      &nbsp;
      <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false"/>
  </td>
  </tr>
  </table>
</div>
</asp:Content>
