<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" 
    CodeBehind="Contrasena.aspx.vb" Inherits="AudiControl.Contrasena" Title="ControlRisk" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" style="display:none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda" runat="server" id="tblEmpresa">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>

    <br />
    <asp:Label ID="lblDatos" runat="server" Text="<%$ Resources:Idioma, lblIngresoDatos %>" Font-Size="Medium" CssClass="subtituloTercerNivel"></asp:Label>
    <br />
    <br />
    <table align="center" border="0" cellspacing="0" cellpadding="0" 
        style="height: 220px; width: 750px;">
        <tr style="vertical-align:top; height:300px">
            <td>
                <div>
                    <asp:Login ID="lgnLogin" runat="server" DisplayRememberMe="False" LoginButtonText="Ingresar"
                        PasswordRequiredErrorMessage="El password es obligatorio." TitleText="Ingreso"
                        UserNameLabelText="Usuario:" 
                        UserNameRequiredErrorMessage="El nombre de usuario es obligatorio." 
                        meta:resourcekey="lgnLogin" Width="280px">
                        <LayoutTemplate>
                            <table border="0" cellpadding="4" cellspacing="0" style="border-collapse: collapse">
                                <tr>
                                    <td>
                                        <table border="0" cellpadding="0" runat="server" id="idDatosUsuario" style="width: 475px">
                                            <tr>
                                                <td style="height: 15px; text-align: right; width: 193px;">
                                                    &nbsp;&nbsp;&nbsp;&nbsp;
                                                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" 
                                                        Text="<%$ Resources:Idioma, lblUsuario %>" ></asp:Label>
                                                </td>
                                                <td style="height: 15px; text-align: left; width: 223px;">
                                                    <asp:TextBox ID="UserName" runat="server" ToolTip="Nombre de usuario" meta:resourcekey="UserName" Width="130px"
                                                        TabIndex="1" AutoCompleteType="Disabled" Height="20px" ReadOnly="true"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                        ErrorMessage="Nombre de Usuario Requerido" ToolTip="Nombre de Usuario Requerido" meta:resourcekey="UserNameRequired"
                                                        ValidationGroup="Login1" Display="Dynamic" SetFocusOnError="True">*</asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right" style="height: 15px; text-align: right; width: 193px;">
                                                    &nbsp;<asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Text="<%$Resources: Idioma, lblPassword %>"></asp:Label></td>
                                                <td style="height: 15px; text-align: left; width: 223px;">
                                                    <asp:TextBox ID="Password" runat="server" TextMode="Password" Width="130px" TabIndex="2"
                                                        ToolTip="Contrasea" meta:resourcekey="Password" AutoCompleteType="Disabled" Height="20px"></asp:TextBox>
                                                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                        ErrorMessage="Password requerido" ToolTip="Password requerido" ValidationGroup="Login1" meta:resourcekey="Password">*</asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr runat="server"  id="trNuevoPassword1">
                                                <td align="right" style="height: 15px;text-align: right; width: 193px;">
                                                    <asp:Label ID="Label1" runat="server" AssociatedControlID="Password" 
                                                        Text="<%$ Resources:Idioma, lblNewPassword %>"></asp:Label>
                                                    <br />
                                                    <br />
                                                </td>
                                                <td style="height: 15px;text-align: left; width: 223px;">
                                                    <asp:TextBox ID="txtNuevoPassword1" runat="server" TextMode="Password" Width="130px" Height="20px"
                                                        TabIndex="2" ToolTip="Contrasea" AutoCompleteType="Disabled" meta:resourcekey="txtNuevoPassword1"></asp:TextBox>
                                                    <br />
                                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtNuevoPassword1"
                                                        ErrorMessage="Password requerido" ToolTip="Password requerido" ValidationGroup="Login1" meta:resourcekey="RequiredFieldValidator1">*</asp:RequiredFieldValidator>
                                                    <asp:CompareValidator ID="cvPasswordAnterior" runat="server" 
                                                        ErrorMessage="<%$ Resources: Idioma, NuevoPassword %>" 
                                                        ControlToCompare="Password" ControlToValidate="txtNuevoPassword1" 
                                                        Operator="NotEqual" ValidationGroup="Login1" meta:resourcekey="cvPasswordAnterior"></asp:CompareValidator>        
                                                </td>
                                            </tr>
                                            <tr runat="server"  id="trNuevoPassword2">
                                                <td align="right" style="height: 15px;text-align: right; width: 193px;">
                                                    <asp:Label ID="Label2" runat="server" AssociatedControlID="Password" 
                                                        Text="<%$ Resources:Idioma, ConfirmarContrasena %>" Width="150px"></asp:Label>
                                                    <br />
                                                </td>
                                                <td style="height: 15px;text-align: left; width: 223px;">
                                                    <asp:TextBox ID="txtNuevoPassword2" runat="server" TextMode="Password" Width="130px" Height="20px"
                                                        TabIndex="2" ToolTip="Contrasea" AutoCompleteType="Disabled" meta:resourcekey="txtNuevoPassword2"></asp:TextBox>
                                                    <br />
                                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtNuevoPassword2"
                                                        ErrorMessage="Password requerido" ToolTip="Password requerido" ValidationGroup="Login1" meta:resourcekey="RequiredFieldValidator2">*</asp:RequiredFieldValidator>
                                                    <asp:CompareValidator ID="cvPasswordNuevo" runat="server" 
                                                        ErrorMessage="<%$ Resources: Idioma, PasswordDiferente %>" 
                                                        ControlToCompare="txtNuevoPassword1" ControlToValidate="txtNuevoPassword2" 
                                                        Operator="Equal" ValidationGroup="Login1" meta:resourcekey="cvPasswordNuevo"></asp:CompareValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right" style="height: 4px; text-align: center;" valign="bottom" colspan="2">
                                                    <br />
                                                    <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="<%$Resources: Idioma, btnAceptar %>" ValidationGroup="Login1"
                                                        TabIndex="3" Width="82px" meta:resourcekey="LoginButton" />&nbsp;
                                                    <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" 
                                                        onclick="btnVolver_Click" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right" style="width: 193px; height: 4px" valign="bottom">
                                                    &nbsp;</td>
                                                <td style="width: 223px" valign="bottom">
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="color: red; height: 45px; text-align: center;">
                                                    <asp:Label ID="lblError" runat="server" Text="<%$ Resources: Idioma, ContrasenaIncorrecta %>" meta:resourcekey="lblError"></asp:Label>
                                                    <asp:Label ID="lblErrorNumero" runat="server" Text="<%$ Resources: Idioma, SinNumero %>" meta:resourcekey="lblErrorNumero"></asp:Label>
                                                    <asp:Label ID="lblErrorActivo" runat="server" Text="<%$ Resources: Idioma, lblUsuarioInactivo %>" Visible="false" meta:resourcekey="lblErrorActivo"></asp:Label>
                                                    <asp:Label ID="lblErrorCambioPassword" runat="server" Text="Debe cambiar el password" Visible="false" meta:resourcekey="lblErrorCambioPassword"></asp:Label>
                                                    <asp:RegularExpressionValidator ID="regLoginUs" runat="server" ErrorMessage="Caracteres invlidos en el usuario"
                                                        ControlToValidate="UserName" ValidationExpression="[^<>'&quot;()&]{1,50}" ValidationGroup="Login1" meta:resourcekey="regLoginUs"></asp:RegularExpressionValidator>
                                                    <asp:RegularExpressionValidator ID="regLoginPw" runat="server" ControlToValidate="Password"
                                                        ErrorMessage="Caracteres invlidos en la contrasea" ValidationExpression="[^<>'&quot;()&]{1,50}"
                                                        ValidationGroup="Login1" meta:resourcekey="regLoginPw"></asp:RegularExpressionValidator>
                                                    </td>
                                            </tr>
                                        </table>
                            </td> </tr> </table>
                        </LayoutTemplate>
                    </asp:Login>
                </div>
            </td>
        </tr>
    </table>
    
</asp:Content>
