﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master"
    CodeBehind="EditarUsuario.aspx.vb" Inherits="AudiControl.EditarUsuario" Title="Usuario" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

<script language="javascript" type="text/javascript" src="../Js/Comun.js"></script>

<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdUsuario" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdArea" runat="server" Text="" Visible="false"></asp:Label>
<div class="alineacionIzquierda">
    <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEditarUsuarios %>" CssClass="ruta"></asp:Label>
</div>
<div class="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px" ></asp:Label>
    <asp:Label ID="lblNombreE" runat="server"></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblUsuarios %>"></asp:Label>
</div>
<div class="header" style="text-align: center">
    <asp:Label ID="lblEditarUsuario" runat="server" Text="<%$ Resources:TituloPasos, lblEditarUsuario %>"></asp:Label>
</div>
<br />
<uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
<asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
<br />
<table runat="server" id="tblDatosUsuario" style="width: 554px">
    <tr>
        <td style="text-align: right;">
            <asp:Label ID="lblLogin" runat="server" Text="<%$ Resources: lblLogin %>" meta:resourcekey="lblLogin"
                    Height="24px" Width="125px"></asp:Label>&nbsp;*
        </td>
        <td style="width: 8px"></td>
        <td style="text-align: left;">
            <asp:TextBox ID="txtLogin" runat="server" Width="263px" MaxLength="100"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvLogin" runat="server" ControlToValidate="txtLogin">
                <asp:Label ID="lblValidacionLogin" runat="server" Text="<%$ Resources: lblValidacionLogin %>" meta:resourcekey="lblValidacionLogin"></asp:Label>
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td style="text-align: right;">
            <asp:Label ID="lblNombre" runat="server" Text="<%$ Resources: lblNombre %>" ></asp:Label>&nbsp;*</td>
        <td ></td>
        <td style="text-align: left;">
            <asp:TextBox ID="txtNombreUsuario" runat="server" Width="263px" MaxLength="100"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvNombreUsuario" runat="server" ControlToValidate="txtNombreUsuario">
                <asp:Label ID="lblValidacionNombreUsuario" runat="server" Text="<%$ Resources: lblValidacionNombreUsuario %>"></asp:Label>
            </asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td style="text-align: right;">
            <asp:Label ID="lblApellido" runat="server" Text="<%$ Resources: lblApellido %>"></asp:Label>&nbsp;*
        </td>
            <td ></td>
            <td style="width: 411px; text-align: left;">
                <asp:TextBox ID="txtApellidoUsuario" runat="server" Width="263px" 
                    MaxLength="100"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvApellidoUsuario" runat="server" ControlToValidate="txtApellidoUsuario">
                    <asp:Label ID="lblValidacionApellidoUsuario" runat="server" Text="<%$ Resources: lblValidacionApellidoUsuario %>"></asp:Label></asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="text-align:right"><asp:Label Text="<%$ Resources: Identificacion %>" runat="server"></asp:Label>&nbsp;*</td><td></td>
            <td style="text-align:left"><asp:TextBox ID="txtCedula" runat="server" MaxLength="12" Width="263px"></asp:TextBox>
            <asp:RequiredFieldValidator runat="server" ControlToValidate="txtCedula" Text="<%$ Resources: lblValidacionIdentificacion %>" Display="Dynamic"></asp:RequiredFieldValidator></td>
        </tr>
        <tr runat="server" id="trCambiarPassword">
            <td style="text-align: right;">
                <asp:Label ID="Label1" runat="server" Text="<%$ Resources: lblPassword %>"></asp:Label>
            </td>
            <td ></td>
            <td style="text-align: left;">
                <asp:Button ID="btnCambiarPassword" runat="server" Text="<%$ Resources: btnCambiarPassword %>" />
            </td>
        </tr>
        <tr runat="server" id="trPassword">
            <td style="text-align: right;">
                <asp:Label ID="lblPassword" runat="server" Text="<%$ Resources: lblPassword %>"></asp:Label>&nbsp;*</td>
            <td ></td>
            <td style="text-align: left;">
                <asp:TextBox ID="txtPassword" TextMode="Password"  runat="server" Width="263px" MaxLength="50"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ControlToValidate="txtPassword">
                    <asp:Label ID="lblValidacionPassword" runat="server" Text="<%$ Resources: lblValidacionPassword %>"></asp:Label>
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr runat="server" id="trRepitaPassword">
            <td style="text-align: right; vertical-align:top;">
                <asp:Label ID="lblRepitaPassword" runat="server" Text="<%$ Resources:lblRepitaPassword %>" Height="24px" Width="150px"></asp:Label>
            </td>
            <td ></td>
            <td style="text-align: left;">
                <input id="txtHPassword" type="hidden" runat="server"/>
                <asp:TextBox ID="txtRepitaPassword" TextMode="Password"  runat="server" Width="263px" MaxLength="100"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvRepitaPassword" runat="server" ControlToValidate="txtRepitaPassword">
                    <asp:Label ID="lblValidacionRepitaPassword" runat="server" Text="<%$ Resources: lblValidacionRepitaPassword %>"></asp:Label>
                </asp:RequiredFieldValidator>
                <asp:CompareValidator ID="cvPassword" runat="server" ControlToCompare="txtPassword" ControlToValidate="txtRepitaPassword" 
                    ErrorMessage="<%$ Resources: lblPasswordNoCoincide %>" ></asp:CompareValidator>
                <script type="text/javascript" >
                
                    var p;
                    p = document.getElementById('<%= txtHPassword.ClientID %>');
                    var o;
			        o = document.getElementById('<%= txtPassword.ClientID %>');
			        o.value = p.value;
			        o = document.getElementById('<%= txtRepitaPassword.ClientID %>');
                    o.value = p.value;
                </script>
            </td>
        </tr>
         <tr runat="server" id="tr1">
            <td style="text-align: right; vertical-align:top;">
                <asp:Label ID="Label2" runat="server" Text="<%$ Resources:lblDiasVigenciaPassword %>" Width="215px" ></asp:Label>
            </td>
            <td ></td>
            <td style="text-align: left;">
                                
                <asp:DropDownList ID="drpDiasVencimiento" runat="server" AutoPostBack="false">
                    <asp:ListItem Value="30">30</asp:ListItem>
                    <asp:ListItem Value="60">60</asp:ListItem>
                    <asp:ListItem Value="90">90</asp:ListItem>
                    <asp:ListItem Value="120">120</asp:ListItem>
                    <asp:ListItem Value="180">180</asp:ListItem>
                </asp:DropDownList>
                                
            </td>
        </tr>
        <tr>
            <td style="text-align: right;" >
                <asp:Label ID="lblEmail" runat="server" Text="<%$ Resources: lblEmail %>" ></asp:Label>
            </td>
            <td></td>
            <td style="text-align: left;">
                <asp:TextBox ID="txtEmail" runat="server" Width="264px"></asp:TextBox>
                <asp:RegularExpressionValidator ID="revEmail" runat="server" ErrorMessage="<%$ Resources:Idioma, lblCorreoNoValido %>"
                    ControlToValidate="txtEmail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td style="text-align: right;">
                <asp:Label ID="lblPerfil" runat="server" Text="<%$ Resources: lblPerfil %>"></asp:Label>&nbsp;*</td>
            <td ></td>
            <td style="text-align: left;">
                <asp:DropDownList ID="drpPerfil" runat="server" AutoPostBack="True">
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvPerfil" runat="server" ControlToValidate="drpPerfil" ErrorMessage="<%$ Resources: lblValidacionPerfil %>">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr runat="server" id="trEmpresa">
            <td style="text-align: right;">
                <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources: lblEmpresa %>" Height="17px" Width="147px"></asp:Label>
                &nbsp;*</td>
            <td ></td>
            <td style="width: 411px; height: 26px; text-align: left;">
                <asp:DropDownList ID="drpEmpresa" runat="server" AutoPostBack="True"></asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvEmpresa" runat="server" ControlToValidate="drpEmpresa"
                    ErrorMessage="<%$ Resources: lblValidacionEmpresa %>">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr runat="server" id="trArea">
            <td style="text-align: right;">
                <asp:Label ID="lblArea" runat="server" Text="<%$ Resources: lblArea %>" Height="17px" Width="147px"></asp:Label>
                &nbsp;*</td>
            <td ></td>
            <td style="text-align: left;">
                <asp:DropDownList ID="drpDepenedencia" runat="server" AutoPostBack="True"></asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvDependencia" runat="server" ControlToValidate="drpDepenedencia"
                    ErrorMessage="<%$ Resources: lblValidacionDependencia %>">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr runat="server" id="trOficina">
            <td style="text-align: right;">
                <asp:Label ID="lblOficina" runat="server" Text="<%$ Resources: lblOficina %>" Height="17px" Width="147px"></asp:Label>
                &nbsp;*</td>
            <td ></td>
            <td style="text-align: left;">
                <asp:DropDownList ID="drpOficina"  runat="server" AutoPostBack="True"></asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvOficina" runat="server" ControlToValidate="drpOficina"
                    ErrorMessage="<%$ Resources: lblValidacionOficina %>">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr >
            <td style="text-align: right;">
                <asp:Label ID="lblActivo" runat="server" Text="<%$ Resources: lblActivo %>" Height="17px" Width="147px"></asp:Label>
                &nbsp;*</td>
            <td ></td>
            <td style="text-align: left;">
                <asp:RadioButton ID="rdoSi" runat="server" Text="<%$ Resources: lblSi %>" Checked="true" GroupName="activo"/>
                <asp:RadioButton ID="rdoNo" runat="server" Text="<%$ Resources: lblNo %>" GroupName="activo" />
            </td>
        </tr>
    </table><br />
    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" CausesValidation="true" />&nbsp;
    <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, btnModificar %>" CausesValidation="true" Visible="false" />&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>" CausesValidation="false" />&nbsp;
    <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
    <br />
</asp:Content>
