<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="EstablecerRelCategoriaAmenaza.aspx.vb" Inherits="AudiControl.EstablecerRelCategoriaAmenaza" 
    title="<%$ Resources:TituloPaginas, TitRelacionCategoriaAmenaza %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCategoria" runat="server" Text="" Visible="false"></asp:Label>
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblCategoriaRTres %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
</div>
   <div class="header">
        <asp:Label ID="lblEstablecerRelCategoriaAmenaza" runat="server" 
            Text="<%$ Resources:TituloPasos, lblEstablecerRelCategoriaAmenaza %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
     <asp:Label ID="lblRelacionExito" runat="server" Visible="false" CssClass ="colorExito"></asp:Label>
    <br />
    <asp:Label ID="lblRiesgo" runat="server" Text="<%$ Resources:Idioma, lblCategoria %>" CssClass ="subtitulo" ></asp:Label>
         &nbsp;&nbsp; <asp:Label ID="lblDescripcionRiesgo" runat="server" Height="25px" CssClass ="subtitulo" ></asp:Label>
    <br />
     <div style="text-align:center">
    
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
     <asp:Label ID="lblNoAmenaza" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
    <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false"  AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
            <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="350px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEstablecerRelacion" runat="server" CommandName="ESTABLECER RELACION" CommandArgument='<%# Eval("idAmenaza")%>' CausesValidation ="false">
                        <asp:Label ID="lblEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"></asp:Label></asp:LinkButton>                    
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
    <table> 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
             <asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: center">
        <asp:TextBox ID="txtCriterio" runat="server" Height="16px"  />
           &nbsp;<asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
           <br />
        </td>
        <td><asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
            <br />
         </td>
     </tr>
    </table>
    
    </div>
    
</asp:Content>
