<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarAreasOrganizacionales.aspx.vb" Inherits="AudiControl.ListarAreasOrganizacionales" 
    title="<%$ Resources:TituloPaginas, TitAreas %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" style="display:none"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAccionTratamiento" runat="server" Text="" Visible="false"></asp:Label>
     <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaAreaOrganizacional %>" runat="server" style="display:none" ></asp:Label>  

      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblAreas %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAdmonEmpresa %>"></asp:Label>
</div>
  <div class="header">
        <asp:Label ID="lblListadoAreas" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoAreas %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
     <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass="colorError"></asp:Label>
    <asp:Label ID="lblNoArea" runat="server" Visible="false" CssClass ="colorExito"></asp:Label>
    <asp:GridView ID="gvListaAreaOrganizacional" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idArea" SortExpression="idArea" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="150px" />
            <asp:BoundField DataField="nombreArea" SortExpression="nombreArea" HeaderText="<%$ Resources:Idioma, lblNombreArea %>" ItemStyle-Width="250px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:lblTipoArea %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                <ItemTemplate>
                    <asp:Label ID="lblInterna" runat="server" Text='<%# Eval("interna")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTipoArea" runat="server" Text=""></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                <ItemTemplate>
               
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idArea")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idArea")%>' CausesValidation ="false">
                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>                    
                        &nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="lnkVerOficinas" runat="server" CommandName="VER_OFICINAS" CommandArgument='<%# Eval("idArea")%>' CausesValidation ="false"
                        Text="<%$ Resources:Idioma, lnkVerOficinas %>" Visible ="false" ></asp:LinkButton> 
                         <asp:Label ID="lblTieneOficinas" runat="server" Text='<%# Eval("tieneOficinas")%>' Visible="false"></asp:Label>                   
                                    </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>

    <br />
    
    <table> 
     <tr>
         <td style="width: 154px">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label><br />
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal" Height="22px" Width="136px">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombre"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
   
       <td >
           <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;&nbsp;&nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br /><br />
        </td>
       <td style="width: 419px; text-align: center;">
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />&nbsp;
        <asp:Button ID="btnAgregarAreaorganizacional" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />&nbsp;
        <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>" CausesValidation="False" />&nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
        </td>
     </tr>
    </table>
    </div>
    
</asp:Content>
