﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarCategorias.aspx.vb" Inherits="AudiControl.ListarCategorias" 
    title="<%$ Resources:TituloPaginas, TitCategorias %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" style="display:none"></asp:Label> 
   <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaCategoria %>" runat="server" style="display:none" ></asp:Label>
  <div style="text-align:center;">
      <div class="alineacionIzquierda">
      <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblCategoriaR %>" CssClass="ruta"></asp:Label>
      </div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
</div>
   <div class="header">
        <asp:Label ID="lblListadoCategoria" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoCategoria %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
    <br />
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    <asp:Label ID="lblNoCategoria" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
    <asp:GridView ID="gvListaCategoria" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
            <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria" HeaderText="<%$ Resources:Idioma, lblCategoria %>" ItemStyle-Width="350px" />
            <asp:BoundField DataField="nombreModalidad" SortExpression="nombreModalidad" HeaderText="<%$ Resources:Idioma, lblModeloRiesgo %>" ItemStyle-Width="120px" />

            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idCategoriaRiesgo")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCategoriaRiesgo")%>' CausesValidation ="false">
                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton> 
                        &nbsp;&nbsp;                   
                    <asp:LinkButton ID="lnkVerRelacion"  runat="server" CommandName="VER RELACION" CommandArgument='<%# Eval("idCategoriaRiesgo")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerRelacion" runat="server" Text="<%$ Resources:Idioma, lblVerRelacion %>"></asp:Label></asp:LinkButton>                    

                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
    <br />
    <br />
    <table> 
     <tr>
         <td>
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio">
            <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
        </asp:RequiredFieldValidator>
       </td>
       <td >
           <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br />
     </td>

    <td >
        &nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;
           <br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReporteCategorias %>" 
               CausesValidation="False" Height="19px" Width="170px" />
       &nbsp;
       <asp:Button ID="btnReporteRelacion" runat="server" Height="19px" Width="170px"
               Text="<%$ Resources:Idioma, btnReporteRelacion %>" CausesValidation="False" />
           <br />
&nbsp;
           <br />
        <asp:Button ID="btnAgregarCategoria" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
        &nbsp;
        <asp:Button ID="btnCargarDatos" runat="server" 
               Text="<%$ Resources:Idioma, btnCargarDatos %>" CausesValidation="False" />
           &nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
        </td>
     </tr>
    </table>
    
</asp:Content>
