<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarEmpresas.aspx.vb" Inherits="AudiControl.ListarEmpresas" 
    title="<%$ Resources:TituloPaginas, TitEmpresas %>" %>
    
    <%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <br />
    
    <div class="header" style="text-align: center">
        <asp:Label ID="lblListadoEmpresas" runat="server" Text="<%$ Resources:TituloPasos, lblMenuPrincipal %>"></asp:Label></div>
    <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    
    <table width="100%">
    <tr><td colspan="2">
    <asp:Label ID="lblSeleccionEmpresa" runat="server" CssClass ="subtitulo " Text="<%$ Resources:Idioma, lblSeleccionEmpresa %>"></asp:Label>
        <br />
    </td></tr>
    <tr><td colspan="2">
        <asp:GridView AutoGenerateColumns="false" ID="gvEmpresa" runat="server" AutoGenerateSelectButton="true" 
            DataKeyNames="idEmpresa" SelectedRowStyle-BackColor="Orange" SelectedRowStyle-ForeColor="White" Width="80%" >
            <Columns>
                <asp:BoundField DataField="idEmpresa" HeaderText="<%$ Resources: id %>" ItemStyle-Width="100px" />
                <asp:BoundField DataField="nombreEmpresa" HeaderText="<%$ Resources: Empresa %>" ControlStyle-Width="40%"/>
                <asp:BoundField DataField="relacion" HeaderText="<%$ Resources: Relacion %>" ItemStyle-Width="150px" />
            </Columns>
        </asp:GridView> <br />
    </td></tr>

    </table>
   <table style="height: 120px">
   <tr>
   <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgModuloAdmonUsuarios" runat="server" ImageUrl="~/Imagenes/Actividades/MatrizEscenariosDependencias.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloAdmonUsuarios" runat="server" Enabled="true">
             <asp:Label ID="lblModuloAdmonUsuarios" runat="server" Text="<%$ Resources:TituloPasos, lblModuloSeguridad %>"></asp:Label>
            </asp:LinkButton>
        </td>
   <td style="width: 20px"></td>
       <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgSModuloConfiguracion" runat="server" ImageUrl="~/Imagenes/Actividades/AdmonSistema.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloConfiguracion" runat="server" Enabled="False">
             <asp:Label ID="lblModuloConfiguracion" runat="server" Text="<%$ Resources:TituloPasos, lblModuloConfiguracion %>"></asp:Label>
            </asp:LinkButton>
        </td><td style="width: 20px"></td>
       <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgModuloSGR" runat="server" 
                ImageUrl="~/Imagenes/Actividades/PerfilRiesgo.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloSGR" runat="server" Enabled="False">
             <asp:Label ID="lblModuloSGR" runat="server" Text="<%$ Resources:TituloPasos, lblModuloSGR %>"></asp:Label>
            </asp:LinkButton>
        </td><td style="width: 20px"></td>
       <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgModuloConsolidado" runat="server" 
                ImageUrl="~/Imagenes/Actividades/Consolidado.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloConsolidado" runat="server" Enabled="False">
             <asp:Label ID="lblModuloConsolidado" runat="server" Text="<%$ Resources:TituloPasos, lblModuloConsolidado %>"></asp:Label>
            </asp:LinkButton>
        </td></tr>
   </table>
      <br />
      <table>
   <tr><td style="height: 120px; width: 20px;"></td>
       <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgModuloRERO" runat="server" 
                ImageUrl="~/Imagenes/Actividades/Rero.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloRERO" runat="server" Enabled="False">
             <asp:Label ID="lblModuloRERO" runat="server" Text="<%$ Resources:TituloPasos, lblModuloRERO %>"></asp:Label>
            </asp:LinkButton>
        </td><td style="height: 120px; width: 20px;"></td>
       <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgModuloBCP" runat="server" 
                ImageUrl="~/Imagenes/Actividades/bcp.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloBCP" runat="server" Enabled="False">
             <asp:Label ID="lblModuloBCP" runat="server" Text="<%$ Resources:TituloPasos, lblModuloBCP %>"></asp:Label>
            </asp:LinkButton>
        </td><td style="height: 120px; width: 19px;"></td>
        <td style="border-style: double; border-color: #0066CB; background-color: #E2E2E2; width: 100px; height: 130px;">
            <asp:ImageButton ID="imgModuloAuditoria" runat="server" 
                ImageUrl="~/Imagenes/Actividades/Auditoria.jpg" Width="38" 
           Height="38"/>
            <br />
            <asp:LinkButton ID="lnkUrlModuloAuditoria" runat="server" Enabled="False">
             <asp:Label ID="lblModuloAuditoria" runat="server" Text="<%$ Resources:TituloPasos, lblModuloAuditoria %>"></asp:Label>
            </asp:LinkButton>
        </td></tr>
   </table>
    <br />
    <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, BtnAgregar %>" />
    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, BtnReporteEmpresa %>" CausesValidation="False" />
    <br />
    </asp:Content>
