﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarEscenarios.aspx.vb" Inherits="AudiControl.ListarEscenarios" 
    title="<%$ Resources:TituloPaginas, TitEscenarios %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
<br />
 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEscenario" runat="server" style="display:none" Visible="false"></asp:Label>
    <asp:Label id="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label id="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>  
     <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaEscenario %>" runat="server" style="display:none" ></asp:Label>

    <div class="alineacionIzquierda">
<asp:Label ID="lblRuta1" runat="server" Text="<%$ Resources:Rutas, lblEscAplicacion %>" CssClass="ruta" Visible="false"></asp:Label>
<asp:Label ID="lblRuta2" runat="server" Text="<%$ Resources:Rutas, lblEscTI %>" CssClass="ruta" Visible="false"></asp:Label>
<asp:Label ID="lblRuta3" runat="server" Text="<%$ Resources:Rutas, lblEscIT %>" CssClass="ruta" Visible="false"></asp:Label>
</div>
  <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
</div>
  <div class="header" >
        <asp:Label ID="lblListadoEscenariosAplicacion" runat="server" visible  = "false" 
            Text="<%$ Resources:TituloPasos, lblListadoEscenariosAplicacion %>"></asp:Label>
        <asp:Label ID="lblListadoEscenariosTI" runat="server" visible  = "false" 
            Text="<%$ Resources:TituloPasos, lblListadoEscenariosTI %>"></asp:Label>
         <asp:Label ID="lblListadoEscenariosIT" runat="server" visible  = "false" 
            Text="<%$ Resources:TituloPasos, lblListadoEscenariosIT %>"></asp:Label>
         <asp:Label ID="lblListadoEscenarios" runat="server" visible  = "false" 
            Text="<%$ Resources:TituloPasos, lblListadoEscenarios %>"></asp:Label>
    </div>
   <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server">
    </uc1:UCErroresLogicaNegocio>
    <br />

     <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass="colorError"></asp:Label>
    <asp:Label ID="lblNoEscenario" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
    <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="60px" />
            <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="350px" />
            <asp:BoundField DataField="descripcionModelo" SortExpression="descripcionModelo" HeaderText="<%$ Resources:Idioma, lblModelo %>" ItemStyle-Width="110px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEscenario")%>' CausesValidation ="false">
                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idEscenario")%>' CausesValidation ="false">
                        <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton> 
                        &nbsp;&nbsp;                   
                    <asp:LinkButton ID="lnkVerRelacion"  runat="server" CommandName="VER RELACION" CommandArgument='<%# Eval("idEscenario")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerRelacion" runat="server" Text="<%$ Resources:Idioma, lblVerRelacion %>"></asp:Label></asp:LinkButton>                    
                   
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
   
   <br />
    <table > 
     <tr>
         <td >
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio">
            <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
        </asp:RequiredFieldValidator>
       </td>
   
       <td >
           <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br /><br />
    </td>
     
       <td style=" text-align: center;">
           <br />
        &nbsp; &nbsp;
       
        <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReporteEscenarios %>" 
               CausesValidation="False" Width="145px" />
                &nbsp;
        
        <asp:Button ID="btnReporteRelacion" runat="server" 
               Text="<%$ Resources:Idioma, btnReporteRelacion %>" CausesValidation="False" Width="145px" />
        <br />
        
          &nbsp;&nbsp;&nbsp;     
                       <asp:Button ID="btnAgregarEscenario" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"  CausesValidation="false" />
        &nbsp;     
                       <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" 
               Height="19px" Width="66px" />
        
        </td>
     </tr>
    </table>
</asp:Content>
