<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarFuncionario.aspx.vb" Inherits="AudiControl.Funcionario" 
    title="<%$ Resources:TituloPaginas, TitFuncionario %>" %>
    
    <%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    
<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" style="display:none"></asp:Label>
<asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaFuncionario %>" runat="server" style="display:none" ></asp:Label>
<div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblFuncionarios %>" CssClass="ruta"></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAdmonEmpresa %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblListadoFuncionarios" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoFuncionarios %>"></asp:Label>
    </div>
        <br />
        <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
      <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    </div>
    <asp:Label ID="lblNoFuncionario" runat="server" Visible="false" CssClass ="colorExito"></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaFuncionario" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idFuncionario" SortExpression="idFuncionario" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="150px" />
            <asp:BoundField DataField="nombreFuncionario" SortExpression="nombreFuncionario" HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="300px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idFuncionario")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idFuncionario")%>' CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
  
    <br />
      <table > 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombreFuncionario"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
   
       <td style="text-align: left">
           <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br /><asp:RequiredFieldValidator ID="rfvBusqueda"  runat="server" ControlToValidate="txtCriterio"><asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma,  lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
          <br />
        </td>
       <td  style ="text-align :center">
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />
               &nbsp;
        <asp:Button ID="btnAgregarFuncionario" runat="server" 
               Text="<%$ Resources:Idioma, btnAgregar %>" CausesValidation="False" />
        &nbsp;
        <asp:Button ID="btnCargarDatos" runat="server" 
               Text="<%$ Resources:Idioma, btnCargarDatos %>" CausesValidation="False" />
               &nbsp;
        <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        
               &nbsp; &nbsp;&nbsp;
                &nbsp;&nbsp;&nbsp;
        </td>
     </tr>
     </table>
 
   
</asp:Content>
