<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarMacroprocesos.aspx.vb" Inherits="AudiControl.ListarMacroprocesos" 
    title="<%$ Resources:TituloPaginas, TitMacroproceso %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

 <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaMacroProceso %>" runat="server" style="display:none" ></asp:Label>

  <div style="text-align:center; ">
      <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblMacroprocesos %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAdmonEmpresa %>"></asp:Label>
</div>
   <div class="header">
        <asp:Label ID="lblListadoMacro" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoMacro %>"></asp:Label>
    </div>
  <br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
   
    <asp:Label ID="lblNoMacroproceso" runat="server" Visible="false" CssClass="colorExito" ></asp:Label>
    
    <asp:GridView ID="gvListaMacroproceso" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idMacroproceso" SortExpression="idMacroproceso" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
            <asp:BoundField DataField="descripcionMacroproceso" SortExpression="descripcionMacroproceso" HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="350px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="170px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idMacroproceso")%>'>
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idMacroproceso")%>'>
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />&nbsp;
        <asp:Button ID="btnAgregarMacroproceso" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />&nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" />
        <br /><br />
    </div>
    
</asp:Content>
