﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarSegmentos.aspx.vb" Inherits="AudiControl.ListarSegmentos" 
    title="<%$ Resources:TituloPaginas, TitSegmento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"  TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdSegmento" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdAgente" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" style="display:none"></asp:Label> 
<div style="text-align:center; ">
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblAgenteDos %>" CssClass="ruta"></asp:Label>
    </div>
<div class ="headerContent">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
</div> 
    <div class="header">
        <asp:Label ID="lblListadoSegmento" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoSegmento %>"></asp:Label>
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <table> 
           <tr>
      <td>
          <asp:Label ID="lblAgenteG" runat="server" Text="<%$ Resources:Idioma, lblAgenteG %>" CssClass="subtitulo"></asp:Label>
          <asp:Label ID="lblNombreAgenteG" runat="server" CssClass ="subtitulo"></asp:Label>
      </td>
      </tr>
     </table>
              
    <asp:Label ID="lblNoSegmento" runat="server" Visible="false" CssClass ="colorExito"></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaSegmentos" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idSegmento" SortExpression="idSegmento" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>
            <asp:BoundField DataField="nombreSegmento" SortExpression="nombreSegmento" 
                HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="350px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idSegmento")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar('Segmento',false)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idSegmento")%>' CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>

    <br />
        <asp:Button ID="btnReporte" runat="server" 
               Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />
               &nbsp;
        <asp:Button ID="btnAgregarSegmento" runat="server" 
               Text="<%$ Resources:Idioma, btnAgregar %>" CausesValidation="False" />
        &nbsp;
        <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        </div>
</asp:Content>