﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master"
    CodeBehind="ListarUsuarios.aspx.vb" Inherits="AudiControl.ListarUsuarios" Title="<%$ Resources:TituloPaginas, TitListarUsuarios %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="Label1" runat="server" Text="" Visible="false"></asp:Label>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblUsuarios %>"
            CssClass="ruta"></asp:Label>
    </div>    
    <div class="headerContent">
        <table class="izquierda" runat="server" id="tblEmpresa">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblUsuarios %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblListadoUsuarios" runat="server" Text="<%$ Resources:TituloPasos, lblListadoUsuarios %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    
    <asp:Button ID="btnConfigurarSesionesEmpresa" runat="server" Text="<%$ Resources: btnConfigurarSesionesEmpresa %>" />
    <br /><br />
    <asp:Label ID="lblNoUsuario" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
    <br />
    <asp:GridView ID="gvListaUsuario" runat="server" AutoGenerateColumns="false">
        <Columns>
            <asp:BoundField DataField="nombreEmpresa" SortExpression="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblNombreEmpresa %>"
                ItemStyle-Width="150px" />
            <asp:BoundField DataField="nombreUsuario" SortExpression="nombreUsuario"
                HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="250px" />
            <asp:BoundField DataField="apellidoUsuario" SortExpression="apellidoUsuario"
                HeaderText="<%$ Resources:Idioma, lblApellido %>" ItemStyle-Width="250px" />
            <asp:BoundField DataField="login" SortExpression="login"
                HeaderText="<%$ Resources:Idioma, lblLogin %>" ItemStyle-Width="200px" />
            <asp:BoundField DataField="nombrePerfil" SortExpression="nombrePerfil"
                HeaderText="<%$ Resources:Idioma, lblPerfil %>" ItemStyle-Width="200px" />
            <asp:BoundField DataField="fechaRegistro" HeaderText="<%$ Resources: UltimoIngreso %>" ItemStyle-Width="150px" />
            <asp:BoundField DataField="ultimoCambio" HeaderText="<%$ Resources: UltimoCambio %>" ItemStyle-Width="150px" />
            
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                <ItemTemplate>
                    <div style="text-align: center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idUsuario")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    </div>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
    <table>
        <tr>
            <td style="text-align: center">
                <br />
            </td>
            <td style="text-align: left">
                <br />
                <br />
                
            </td>
            <td style="text-align: center">
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <asp:Button ID="btnAgregarUsuario" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                    CausesValidation="False" />
                &nbsp;&nbsp;&nbsp;
                <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                    CausesValidation="False" />
            </td>
        </tr>
    </table>
</asp:Content>
