﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="RastrosCambiosEGR.aspx.vb" Inherits="AudiControl.RastrosCambiosEGR" 
    title="<%$ Resources:TituloPaginas, TitRastrosEstudio %>" %>
    <%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblOpcionPorFecha" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblOpcionPorUsuario" runat="server" Text="" Visible="false"></asp:Label>

 <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblSeleccionRastrosCambiosEGR %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
<tr>
<td>
<asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
</td>
<td>
<asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
</td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos,lblPistasEstudio  %>"></asp:Label>
</div>

         <div class="header">
        <asp:Label ID="lblRastrosCambiosEGR" runat="server" Text="<%$ Resources:TituloPasos, lblPistasEstudio %>"></asp:Label>
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"/>
    <asp:Label ID="lblRangoFechaNoValido" runat="server"   Visible ="false" CssClass ="colorError " ></asp:Label>
    <asp:Label ID="lblFechaNoValida" runat="server" Text="<%$ Resources:Idioma,lblFechaNoValida %> "  Visible ="false" CssClass ="colorError " ></asp:Label>
  <br />
   <br />
<div style="text-align:center">

    <asp:Label ID="lblSeleccionCriterios" runat="server" Text="<%$ Resources:Idioma,lblSeleccionCriterios %>" CssClass="subtitulo "></asp:Label>
    <br />

   <table>
  <tr>
    <td>
  <table >
  <tr>
  <td style="width: 270px">
   <asp:Label ID="lblElementos" runat="server" Text="<%$ Resources:Idioma,lblElementos %>" ></asp:Label>
         
        &nbsp;&nbsp;&nbsp;
         
        <asp:DropDownList  ID="drpElementos" runat="server" CssClass="izquierda" AutoPostBack ="true" >
            <asp:ListItem Value="EstudioArea" Text ="<%$ Resources:Idioma,lblAreas %>"></asp:ListItem>
            <asp:ListItem Value="EstudioEscenario" Text="<%$ Resources:Idioma,lblEscenarios %>"></asp:ListItem>
            <asp:ListItem Value="EstudioControl" Text="<%$ Resources:Idioma,lblControles %>"></asp:ListItem>
            <asp:ListItem Value="EstudioCategoria" Text="<%$ Resources:Idioma,lblCategorias %>"></asp:ListItem>
            <asp:ListItem Value="EstudioAmenaza" Text="<%$ Resources:Idioma,lblAmenazas %>"></asp:ListItem>
            <asp:ListItem Value="AccionTratamiento" Text="<%$ Resources:Idioma,lblAccionTratamiento %>"></asp:ListItem>
      </asp:DropDownList>

</td>
<td style="width: 270px">
  
  <asp:Label ID="lblTipoOperacion" runat="server" Text="<%$ Resources:tipoOperacion %>" ></asp:Label>
      <br />
         
        <asp:DropDownList  ID="drpCriteriosRelacion" runat="server" CssClass="izquierda" >
            <asp:ListItem Value="INSERT" Text ="<%$ Resources:Idioma,lblEstablecimientoRelacion %>"></asp:ListItem>
            <asp:ListItem Value="DELETE" Text="<%$ Resources:Idioma,lblEliminacionRelacion %>"></asp:ListItem>
           </asp:DropDownList>
           
   
     <asp:DropDownList  ID="drpCriterios" runat="server" CssClass="izquierda" Visible ="false" >
            <asp:ListItem Value="INSERT" Text ="<%$ Resources:Idioma,lblCreacion %>"></asp:ListItem>
            <asp:ListItem Value="UPDATE" Text="<%$ Resources:Idioma,lblModificacion %>"></asp:ListItem>
            <asp:ListItem Value="DELETE" Text="<%$ Resources:Idioma,lblEliminacion %>"></asp:ListItem>
           </asp:DropDownList>
  </td>
  </tr></table>
     
  </td>
  </tr>
  <tr>
    <td > 
    <table >
     <tr>
     <td>
              
        <asp:RadioButton ID="rbnPorPeriodo" runat="server" Text ="<%$ Resources:Idioma,lblFecha %>"  AutoPostBack="true" /> 
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
       </td>
       
         <td> 
          <asp:Label ID="lblDe" runat="server" Text="<%$ Resources:Idioma,lblDe %>"></asp:Label> 
           &nbsp; 
           <asp:TextBox ID="txtDe" runat="server" Width="76px" Height="16px" MaxLength="10"  Enabled ="false" ></asp:TextBox>  
        </td>
        <td>
         <asp:Label ID="lblHasta" runat="server" Text="<%$ Resources:Idioma,lblHasta %>"></asp:Label> 
           &nbsp; 
           <asp:TextBox ID="txtHasta" runat="server" Width="76px" Height="16px" Enabled ="false" 
                 MaxLength="10"></asp:TextBox>      
        </td>
        </tr>
        <tr>
        <td></td>
        <td>
        <asp:RequiredFieldValidator ID="rfvDe" runat="server" ControlToValidate="txtDe"  ErrorMessage="<%$ Resources:Idioma, rfvFechaObligatoria %>" Enabled ="false" ></asp:RequiredFieldValidator>
            <br />
         <asp:CustomValidator ID="cvDe" runat="server" 
                ControlToValidate="txtDe" ErrorMessage="<%$ Resources:Idioma, lblFormatoFechaNoValido %>" ></asp:CustomValidator>
            
           
        </td>
        <td>
         <asp:RequiredFieldValidator ID="rfvHasta" runat="server" ControlToValidate="txtHasta"  ErrorMessage="<%$ Resources:Idioma, rfvFechaObligatoria %>" Enabled ="false" ></asp:RequiredFieldValidator>
            <br />
        <asp:CustomValidator ID="cvHasta" runat="server" 
                ControlToValidate="txtHasta" ErrorMessage="<%$ Resources:Idioma, lblFormatoFechaNoValido %>"   ></asp:CustomValidator>
        </td></tr>
        </table>  
    </td>
  </tr>
  <tr>
    <td >
    <table >
    <tr>
    <td style="width: 99px">
    <asp:RadioButton ID="rbnPorUsuario" runat="server" Text ="<%$ Resources:Idioma,lblPorUsuario %>" AutoPostBack="true" />
        <br /></td>
    <td>
    <div style="overflow:auto; width:280px; height: 100px;">
        <asp:ListBox ID="lsbUsuario" runat="server" SelectionMode="Multiple" 
            Enabled ="false" Height="99px" Width="277px" >
        </asp:ListBox>
        </div>
        <asp:RequiredFieldValidator ID="rfvUsuario" runat="server" ControlToValidate="lsbUsuario"  ErrorMessage="<%$ Resources:Idioma, rfvSeleccionUsuario %>" Enabled ="false" ></asp:RequiredFieldValidator>

    </td></tr>
    <tr><td colspan ="2"> <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>" CausesValidation="true" />
  &nbsp;&nbsp;
     <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="true"/>
   &nbsp;&nbsp;
       <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>" CausesValidation="false"/>
    &nbsp;&nbsp;
    <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"  CausesValidation="false"/>
</td></tr>
    </table>
        
   
            </td>
  </tr>
  <tr>

  <td id="tdResultados" runat ="server" visible ="true" >
      <br />
      <asp:Label ID="lblResultado" runat="server" Text="<%$Resources: lblResultado %>" CssClass="subtitulo "></asp:Label>
      <br />
      <asp:Label ID="lblNoResultados" runat="server" 
          Text="<%$ Resources:lblNoResultados %> "  Visible ="false" CssClass ="colorError " ></asp:Label>
          <div style="overflow:auto; width:1000px; height:300px;">
      <asp:GridView ID="gvResultados" runat="server" AutoGenerateColumns="true" AllowPaging="True" PageSize="50" >
       </asp:GridView>
       </div>
  </td></tr>
  </table>
  
  </div>   
   
</asp:Content>

