﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarEventosRiesgoOperativo.aspx.vb" Inherits="AudiControl.ListarEventosRiesgoOperativo" 
    title="<%$ Resources:TituloPaginas, TitEvento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <br />
        <div>
            <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEventoRERO %>" CssClass="ruta" ></asp:Label>
</div>
  <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblEventoRero %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblListaEventosRERO" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListaEventosRERO %>"></asp:Label>
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>          
      <br />
      <asp:Label ID="lblNoEvento" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaEventos" runat="server" AutoGenerateColumns="false" AllowPaging="True" PageSize="15">
        <Columns>
            <asp:BoundField DataField="idEventoOperativo" SortExpression="idEventoOperativo" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px" />
            <asp:BoundField DataField="descripcionEvento" SortExpression="descripcionEvento" HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="400px" />
            <asp:BoundField DataField="codigo" SortExpression="codigo" HeaderText="<%$ Resources:Idioma, lblCodigo %>" ItemStyle-Width="100px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEstado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                 <asp:Label ID="lblInactivo" runat="server" Text='<%# Eval("inactivo")%>' visible="false" ></asp:Label>
                    <asp:Label ID="lblTextoInactivo" runat="server"></asp:Label>           
                </ItemTemplate>
           </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                <ItemTemplate>
                    <div >
                        <asp:LinkButton ID="lnkRegistroEvento" runat="server" CommandName="REGISTRAR_EVENTO" CommandArgument='<%# Eval("idEventoOperativo")%>' CausesValidation="false" >
                            <asp:Label ID="lblRegistroEvento" runat="server" Text="<%$ Resources:Idioma, lblConsultarRERO %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                             <asp:LinkButton ID="lnkAnalisisEvento" runat="server" CommandName="ANALIZAREVENTO" CommandArgument='<%# Eval("idEventoOperativo")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblAnalisis %>"></asp:Label></asp:LinkButton>
                            </div>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
            <br />
    <table > 
     <tr>     
       <td style=" text-align: center; height: 42px;">
       <asp:Button ID="btnGuardarInactividad" runat="server" Text="<%$ Resources:Idioma, btnInactivarEvento %>"  CausesValidation="false" />
        &nbsp;     
        <asp:Button ID="btnAgregarEvento" runat="server" Text="<%$ Resources:Idioma, btnRegistrarEvento %>"  CausesValidation="false" />
        &nbsp;     
        <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" 
               Height="19px" Width="66px" />
        
        </td>
     </tr>
    </table>
    </div>
</asp:Content>
