﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarProductosYServicios.aspx.vb" Inherits="AudiControl.ListarProductosYServicios" 
    title="<%$ Resources:TituloPaginas, TitProductos %>" %>
    
    <%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblProductos %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoRERO %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblListadoProductos" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoProductos %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    
    <div style="text-align:center">
      <br />
      <div style="text-align:center">
     <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
    </div>
    <asp:Label ID="lblNoProducto" runat="server" Visible="False" CssClass ="colorExito "></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaProductos" runat="server" AutoGenerateColumns="false" AllowPaging="true" PageSize ="15" >
        <Columns>
            <asp:BoundField DataField="idProductoServicio" SortExpression="idProductoServicio" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>
            <asp:BoundField DataField="nombreProducto" 
                SortExpression="nombreProducto" 
                HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="400px" >
            </asp:BoundField>
            <asp:BoundField DataField="codigo" 
                SortExpression="codigo" 
                HeaderText="<%$ Resources:Idioma, lblCodigo %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idProductoServicio")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar('Producto o Servicio',false)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idProductoServicio")%>' CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                    </div>
                </ItemTemplate>

          </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
      <table> 
     <tr>
         <td style="text-align: center">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" RepeatDirection= "Horizontal" Width="150px">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
        <br /><asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: left">
       <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" />
         <br /><asp:RequiredFieldValidator ID="rfvBusqueda"  runat="server" ControlToValidate="txtCriterio"><asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma,  lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
         
        </td>
       <td style="text-align: right;">
       <asp:Button ID="btnAgregar" runat="server" 
               Text="<%$ Resources:Idioma, btnAgregar %>" CausesValidation="False" />
           &nbsp;
       <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        </td>
     </tr>
     </table>
    </div>
</asp:Content>

