﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="ListarTipoPerdida.aspx.vb" Inherits="AudiControl.ListarTipoPerdida" 
    title="<%$ Resources:TituloPaginas, TitTipoPerdida %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblTipoPerdida %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoRERO %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblListadoProductos" runat="server" 
            Text="<%$ Resources:TituloPasos, lblListadoTipoPerdida %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    
    <div style="text-align:center">
      <br />
      <asp:Label ID="lblNoTipoPerdida" runat="server" Visible="False" CssClass ="colorExito "></asp:Label>
      <br />
    
    <asp:GridView ID="gvListaTipoPerdidas" runat="server" AutoGenerateColumns="false" AllowPaging="true" PageSize ="15" >
        <Columns>
            <asp:BoundField DataField="idTipoPerdida" SortExpression="idTipoPerdida" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" >
            </asp:BoundField>
            <asp:BoundField DataField="descripcionTipo" 
                SortExpression="descripcionTipo" 
                HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="450px" >
            </asp:BoundField>
            <asp:BoundField DataField="codigo" 
                SortExpression="codigo" 
                HeaderText="<%$ Resources:Idioma, lblCodigo %>" ItemStyle-Width="150px" >
            </asp:BoundField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                <ItemTemplate>
                    <div style="text-align:center">
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idTipoPerdida")%>' CausesValidation="false" >
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                     </div>
                </ItemTemplate>

          </asp:TemplateField>
        </Columns>
    </asp:GridView>
    </div>
      <table> 
     <tr>
       <td style="text-align: right;">
           <br />
       <asp:Button ID="btnAgregar" runat="server" 
               Text="<%$ Resources:Idioma, btnAgregar %>" CausesValidation="False" />
           &nbsp;
       <asp:Button ID="btnVolver" runat="server" 
               Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
        </td>
     </tr>
     </table>
    </div>
</asp:Content>
