﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="SeleccionAgentesAsociadosAEvento.aspx.vb" Inherits="AudiControl.SeleccionAgentesAsociadosAEvento" 
    title="<%$ Resources:TituloPaginas, TitRelacionAgenteEvento %>" %>
    
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEventoOperativo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblRelacionAgenteEvento %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAnalisisRero %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblTituloPaso" runat="server" 
            Text="<%$ Resources:TituloPasos, lblRelacionAgenteEvento %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div class="alineacionIzquierda"><asp:Label ID="lblDatosEvento" runat="server" CssClass="subtitulo"></asp:Label></div>
        <br />
      <table> 
     <tr>
         <td style="text-align: center; width: 265px;">
         &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" 
                 Visible="False" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" Width="322px" style="margin-right: 0px">
            <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="identificador"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
             <asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
       <td style="text-align: left ">
           <br />
       <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" 
               CausesValidation="true" />
      &nbsp;
         <br />
         <asp:RequiredFieldValidator ID="rfvBusqueda"  runat="server" ControlToValidate="txtCriterio"><asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma,  lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
        </td> </tr>
    
     <tr><td colspan="2">
        
        <asp:Label ID="lblNoAgente" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
         <asp:Label ID="lblExito" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
         <asp:GridView ID="gvListaAgentes" runat="server" AutoGenerateColumns="False">
         <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText=""
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px">
                <ItemTemplate>
                <asp:Label ID="lblIdAgente" runat="server" Text='<%# Eval("idAgente") %>' Visible="false"></asp:Label>
                <asp:Label ID="lblIdEventoAgente" runat="server" Text='<%# Eval("idEventoAgente") %>' Visible="false"></asp:Label>
                <asp:CheckBox ID="chkAgente" runat="server" visible="true"/>
                </ItemTemplate>
          </asp:TemplateField>
            <asp:BoundField DataField="idAgente" SortExpression="idAgente" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="90px">
            </asp:BoundField>
            <asp:BoundField DataField="nombreAgente" SortExpression="nombreAgente" 
                HeaderText="<%$ Resources:Idioma, lblAgentes %>" ItemStyle-Width="450px" >
            </asp:BoundField>
            </Columns>
         </asp:GridView>
         </td></tr>
         <tr><td colspan="2">
             <br />
             <asp:Button ID="btnMantenimientoAgente" runat="server" 
                 Text="<%$ Resources:Idioma, lblMantenimientoAgentes %>" 
                 CausesValidation="False" Width="240px" />
             &nbsp;
             <asp:Button ID="btnAceptar" runat="server" 
                 Text="<%$ Resources:Idioma, btnGuardar %>" CausesValidation="False" 
                 Width="79px" />
&nbsp;
             <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
             </td></tr>
     </table>
      </div>
</asp:Content>

