﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/LayoutInterno.Master" CodeBehind="SeleccionControlesAsociadosAEvento.aspx.vb" Inherits="AudiControl.SeleccionControlesAsociadosAEvento" 
    title="<%$ Resources:TituloPaginas, TitRelacionControlEvento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEventoOperativo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblRelacionControlEvento %>" CssClass="ruta"></asp:Label>
</div>
    <div class ="headerContent">
 <table class="izquierda">
<tr>
<td>
<asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
</td>
<td ><asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label></td>
</tr>
</table>
<asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblAnalisisRero %>"></asp:Label>
</div>
    <div class="header">
        <asp:Label ID="lblRelacionAmenazaEvento" runat="server" 
            Text="<%$ Resources:TituloPasos, lblRelacionControlEvento %>"></asp:Label>
    </div>
    
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div class="alineacionIzquierda"><asp:Label ID="lblDatosEvento" runat="server" CssClass="subtitulo"></asp:Label>
        <br />
    <asp:Label ID="lblDatosAmenaza" runat="server" CssClass="subtituloSegundoNivel"></asp:Label></div>
        <br />
    <asp:Label ID="lblNoControl" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
      <table> 
      <tr><td colspan="2"></td></tr>
     <tr>
         <td style="text-align: center; width: 250px;">
         <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
        <asp:RadioButtonList  id="rblCriterio" 
                 runat="server" Width="264px" style="margin-right: 0px">
            <asp:ListItem Text="<%$ Resources: Idioma, lblBuscarPorRelAmenazaControl %>" Value="relacion"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
        </asp:RadioButtonList>
             <asp:RequiredFieldValidator ID="rfvTipoBusqueda"  runat="server" ControlToValidate="rblCriterio"><asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
       </td>
  
       <td style="text-align: left ">
           <br />
       <br />
        <asp:TextBox ID="txtCriterio" runat="server"  />
      &nbsp;
         <br />
         
        </td> </tr><tr>
        <td colspan="2">
      <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" 
               CausesValidation="true" />
              <br />
              <br />
              </td></tr>
    </table>
    <table>
     <tr><td colspan="2">
        
        <asp:Label ID="lblNoAmenazaControl" runat="server" Text="<%$ Resources:Idioma, lblEstSinAmenParaRelacion %>" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label>
         <asp:Label ID="lblExito" runat="server" Text="" Visible="false" CssClass="colorExito"></asp:Label>
         <asp:GridView ID="gvListaControles" runat="server" AutoGenerateColumns="False">
         <Columns>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText=""
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="30px">
                <ItemTemplate>
                <asp:Label ID="lblIdControl" runat="server" Text='<%# Eval("idControl") %>' Visible="false"></asp:Label>
                <asp:Label ID="lblIdEventoControl" runat="server" Text='<%# Eval("idEventoControl") %>' Visible="false"></asp:Label>
                <asp:CheckBox ID="chkControl" runat="server" visible="true"/>
                </ItemTemplate>
          </asp:TemplateField>
            <asp:BoundField DataField="idControl" SortExpression="idControl" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px">
            </asp:BoundField>
            <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl" 
                HeaderText="<%$ Resources:Idioma, lblControl %>" ItemStyle-Width="500px" >
            </asp:BoundField>
            </Columns>
         </asp:GridView>
         </td></tr>
         <tr><td colspan="2">
             <br />
             <asp:Button ID="btnMantenimientoControl" runat="server" 
                 Text="<%$ Resources:Idioma, lblMantenimientoControles %>" 
                 CausesValidation="False" Width="183px" />
             &nbsp;
             <asp:Button ID="btnAceptar" runat="server" 
                 Text="<%$ Resources:Idioma, btnGuardar %>" CausesValidation="False" 
                 Width="79px" />
&nbsp;
             <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="False" />
             </td></tr>
     </table>
      </div>
</asp:Content>
