<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="ConsultaMonitoreo.aspx.vb" Inherits="AudiControl.ConsultaMonitoreo" 
    title="<%$ Resources:TituloPaginas, TitConsultaMonitoreo %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be" Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
<div>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblHistoricoMonitoreo %>" CssClass="ruta"></asp:Label>
    </div>
<div class ="headerContent ">
    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> " Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblMonitoreoDeRiesgos %>"></asp:Label>
</div>
      <div class="header">
        <asp:Label ID="lblHistoricoMonitoreo" runat="server" Text="<%$ Resources:TituloPasos, lblMejoraEnMonitoreoAnterior %>"></asp:Label>    
    </div>
    <br />
        <asp:Label CssClass="colorError" ID="lblSinMonitoreo" runat="server" text="<%$ Resources:Idioma, lblNoMonitoreo %>"></asp:Label>
    <br />
    <asp:GridView ID="gvMonitoreos" runat="server" AutoGenerateColumns="false" Width="500px" >
        <Columns>
            <asp:BoundField DataField="idMonitoreo" HeaderText="<%$ Resources: Idioma, lblMonitoreo %>" />
            <asp:BoundField DataField="fechaMonitoreo" HeaderText="<%$ Resources:Idioma, lblFecha %>" DataFormatString="{0:dd MMM yyyy}" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblEstado %>" >
                <ItemTemplate >
                    <asp:Label ID="lblEstado" runat="server" Text='<%# Eval("estadoMonitoreo") %>' Visible="false"></asp:Label> 
                    <asp:Label ID="lblDescripcionEstado" runat="server"></asp:Label>
              </ItemTemplate>
           </asp:TemplateField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblAccion %>" >
              <ItemTemplate>
                <asp:LinkButton CommandName="VER" CommandArgument='<%# Eval("idMonitoreo") %>' ID="lnkVer" runat="server" Text="<%$ Resources: Idioma, lblVer %>" ></asp:LinkButton>
              </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
    <asp:Label ID="lblDatosMonitoreo" runat="server" CssClass="subtitulo"></asp:Label><br />
    
    <br />

<div  class="alineacionIzquierda">
    <asp:Menu ID="MenuPestanas" Runat="server" BorderWidth="1px" BorderStyle="solid" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick" Orientation="Horizontal">
          <StaticMenuStyle BackColor="#6699FF" BorderWidth="1px" ForeColor="Black" />
          <StaticMenuItemStyle HorizontalPadding="5" BorderWidth="1px" BorderStyle="solid" VerticalPadding="2" Width="180px" />
          <StaticHoverStyle BackColor="#4FB0E7" BorderWidth="1px" BorderStyle="Inset" Font-Bold="True" ForeColor="White" />
          <StaticSelectedStyle BackColor="Blue" BorderWidth="1px" BorderStyle="solid" Font-Bold="true" ForeColor="White" />
          <Items>
              <asp:MenuItem Text="<%$ Resources: AccionMejora %>" Value="0"></asp:MenuItem>
              <asp:MenuItem Text="<%$ Resources: ResultadoAmenaza %>" Value="1"></asp:MenuItem>
           </Items>
    </asp:Menu>
</div>

<asp:MultiView ID="mvMonitoreo" runat="server" >
    <asp:View ID="vwAcciones" runat="server">
        <div style="border:solid 1px navy">
            <asp:Label CssClass="colorError" ID="lblNoAccionTratamiento" runat="server" Text="<%$ Resources:Idioma, lblNoExisteAccionesMejoramiento %>"></asp:Label>
            <asp:GridView ID="gvAccionesTratamiento" runat="server" AutoGenerateColumns="false" Visible="false">
        <Columns>
            <asp:BoundField DataField="idAccionTratamiento" SortExpression="idAccionTratamiento" HeaderText="<%$ Resources:Idioma, lblId %>" ></asp:BoundField>
            <asp:BoundField DataField="descripcionAccion" SortExpression="descripcionAccion" HeaderText="<%$ Resources:Idioma, lblDescripcionAccionM %>" ItemStyle-Width="220px" ></asp:BoundField>
            <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources:Idioma, lblAreaEncargada %>" ItemStyle-Width="120px" ></asp:BoundField>
            <asp:BoundField DataField="nombreCargo" HeaderText="<%$ Resources:Idioma, lblCargoResponsable %>" ItemStyle-Width="100px" ></asp:BoundField>
            <asp:BoundField DataField="Supervisor" HeaderText="<%$ Resources:Idioma, lblEncargadoSupervisor%>" ItemStyle-Width="100px" ></asp:BoundField>
            <asp:BoundField DataField="Ejecutor" HeaderText="<%$ Resources: Idioma, lblEncargadoEjecutor %>" />
            <asp:BoundField DataField="fechaCompromiso" HeaderText="<%$ Resources: Idioma, lblFechaCompromiso %>" ItemStyle-Width="90px" DataFormatString="{0:dd MMM yyyy}" />
            <asp:BoundField DataField="fechaSeguimiento" HeaderText="<%$ Resources: Idioma, lblFechaSeguimiento %>" ItemStyle-Width="90px" DataFormatString="{0:dd MMM yyyy}" />
            <asp:BoundField DataField="texto" HeaderText="<%$ Resources: Idioma, lblEstado %>" ItemStyle-Width="90px" />
        </Columns>
    </asp:GridView>      
            <br />
        </div>
    </asp:View>
    
    <asp:View ID="vwResultado" runat="server">
        <div style="border:solid 1px navy">
            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" Width="100%" >
                <Columns>
                    <asp:TemplateField Visible="False">
                        <ItemTemplate>
                           <asp:Label ID="lblColor" runat="server" Text='<%# Eval("promedioColorPE")%>' Visible="false"></asp:Label>
                           <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("promedioColorRR") %>' Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>" />
                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="300px" />
                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources: Idioma, lblArea %>" SortExpression="descripcion" ItemStyle-Width="250px" />
                    <asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblPEMonitoreo %>" ItemStyle-Width="150px" >
                        <ItemTemplate>
                            <asp:Label ID="lblPE" runat="server"></asp:Label>
                            <asp:Label ID="lblPorcPE" runat="server" Text='<%# Eval("promedioPE") %>' ></asp:Label><br />
                            <asp:Label ID="lblDescPE" runat="server" Text='<%# Eval("textoPE") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblPEMonitoreo %>" ItemStyle-Width="150px" >
                        <ItemTemplate>
                            <asp:Label ID="lblRR" runat="server"></asp:Label>
                            <asp:Label ID="lblPorcRR" runat="server" Text='<%# Eval("promedioRR") %>'></asp:Label><br />
                            <asp:Label ID="lblDescRR" runat="server" Text='<%# Eval("textoRR") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                </Columns>
            </asp:GridView>
        <br />
        </div>    
    </asp:View>
</asp:MultiView>
    <br />
    <asp:Button ID="btnReporte" runat="server"  Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />&nbsp;&nbsp;
    <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />

   </div> 
</asp:Content>
