<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="DocumentarAmenaza.aspx.vb" Inherits="AudiControl.DocumentarAmenaza" 
    title="<%$ Resources:TituloPaginas, TitDocumentarAmenaza %>" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
   
<script language="javascript" type="text/javascript" src="../Js/Comun.js" ></script>
   
<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdAmenaza" Text="" Visible ="false" runat="server"></asp:Label>
  
<div>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblDocumentacionAmenazas %>" CssClass="ruta" ></asp:Label>
    </div>
    <div class ="headerContent">
        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> " Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label><br />
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblValorarRiesgosPotenciales %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblDocumentacionAmenaza" runat="server" Text="<%$ Resources:TituloPasos, lblDocumentacionAmenaza %>"></asp:Label>    
    </div>
    <br /><br />
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>&nbsp;
    <asp:Label ID="lblCodigoNoValido" runat="server" Visible ="false" CssClass ="colorError"></asp:Label><br />
    <asp:Label ID="lblNombreAmenaza" runat="server" Text="<%$ Resources:Idioma,lblAmenaza %>" style="text-align: center" CssClass="subtitulo"></asp:Label>&nbsp;
    <asp:Label ID="lblDescripcionAmenaza" runat="server" style="text-align: left " CssClass="subtitulo"></asp:Label>
    <br /><br /> 
        
    <asp:Label ID="lblVulnerabilidad" runat="server" Text="<%$ Resources:Idioma,lblVulnerabilidad %>" style="text-align: center" CssClass="subtituloTercerNivel"></asp:Label>&nbsp; *
    
    <table> 
        <tr>
            <td>
                <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
            </td>
            <td style="text-align: center; ">
                
                <asp:RadioButtonList id="rblCriterio" runat="server" RepeatDirection= "Horizontal" Width="162px">
                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                </asp:RadioButtonList>
                <asp:TextBox ID="txtCriterio" runat="server" />&nbsp;
                <asp:Button ID="btnBuscarVulnerabilidades" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" ValidationGroup="grVulnerabilidad" /><br />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="rblCriterio" Display="Dynamic" ErrorMessage="<%$ Resources: Idioma, lblSeleccionCriterio %>" ValidationGroup="grVulnerabilidad" ></asp:RequiredFieldValidator>
            </td>
            
            <td style="text-align: center; ">
                <br />
                <asp:Button ID="btnMantenimientoVulnerabilidad" runat="server" Text ="<%$ Resources:Idioma, lblMantenimientoVulnerabilidad %>" 
                     CausesValidation="False" Width="206px" />
            </td>
        </tr>
    </table>
    
    <table>
        <tr>
            <td>
                <div style="overflow:auto; width:517px; height: 184px;">
                    <asp:GridView ID="gvListaVulnerabilidades" runat="server" AutoGenerateColumns="false">
                        <Columns>
                            <asp:BoundField DataField="idVulnerabilidad" SortExpression="idVulnerabilidad" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="60px" />
                            <asp:BoundField DataField="descripcionVulnerabilidad" SortExpression="descripcionVulnerabilidad" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="420px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkVulnerabilidad" runat="server" />
                                    <asp:Label ID="lblIdAmenazaVulnerabilidad" runat="server" Text='<%# Eval("idEstudioAmenazaVulnerabilidad") %>' Visible="false"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div><br />
            </td>
        </tr>
        
        <tr>
            <td>
                <br />
                <asp:Label ID="lblAgenteGenerador" runat="server" Text="<%$ Resources:Idioma,lblAgenteG %>" CssClass="subtituloTercerNivel"></asp:Label>&nbsp;*&nbsp;
            
                <table> 
                    <tr>
                        <td>
                            <asp:Label ID="lblBuscar0" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
                        </td>
                        <td style="text-align: center; ">
                            
                            <asp:RadioButtonList id="rblCriterioAg" runat="server" RepeatDirection= "Horizontal" Width="162px">
                                <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                            </asp:RadioButtonList>
                            <asp:TextBox ID="txtCriterioAg" runat="server" />&nbsp;
                            <asp:Button ID="btnBuscarAgentes" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" ValidationGroup="grAgente" /><br />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="rblCriterioAg" Display="Dynamic" ErrorMessage="<%$ Resources: Idioma, lblSeleccionCriterio %>" ValidationGroup="grAgente"></asp:RequiredFieldValidator>
                        </td>
                        <td style="text-align: center; "><br />
                            <asp:Button ID="btnMantenimientoAgente" runat="server" CausesValidation="False" Text ="<%$ Resources:Idioma, lblMantenimientoAgentes %>" Width="250px" /><br /><br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        
        <tr>
            <td>
                <div style="overflow:auto; width:517px; height: 184px;">
                    <asp:GridView ID="gvListaAgentes" runat="server" AutoGenerateColumns="false">
                        <Columns>        
                            <asp:BoundField DataField="idAgente" SortExpression="idAgente" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
                            <asp:BoundField DataField="nombreAgente" SortExpression="nombreAgente" HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="250px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkAgente" runat="server" />
                                    <asp:Label ID="lblIdAmenazaAgente" runat="server" Text='<%# Eval("idEstudioAmenazaAgente") %>' Visible="false"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="130px">
                                <ItemTemplate>
                                    <div style="text-align:center">
                                        <asp:LinkButton ID="lnkVerSegmentos" runat="server" CommandName="VER_SEGMENTO" CommandArgument='<%# Eval("idAgente")%>' CausesValidation="false" >
                                        <asp:Label ID="lblVerSegmentos" runat="server" Text="<%$ Resources:lblVerSegmentos %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div>
                <br />
            </td>
        </tr>
        
        <tr>
            <td>            
                <asp:Label ID="lblActivoImpactado" runat="server" Text="<%$ Resources:Idioma,lblNombreActivo %>" CssClass="subtituloTercerNivel"></asp:Label>
                <table> 
                    <tr>
                        <td>
                            <asp:Label ID="lblBuscar1" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>" ></asp:Label>
                        </td>
                        <td style="text-align: center; ">
                            
                            <asp:RadioButtonList id="rblCriterioAc" runat="server" RepeatDirection= "Horizontal" Width="162px">
                                <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                            </asp:RadioButtonList>
                            <asp:TextBox ID="txtCriterioAc" runat="server" />&nbsp;
                            <asp:Button ID="btnBuscarActivos" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>" CausesValidation="true" ValidationGroup="grActivo" /><br />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="rblCriterioAc" Display="Dynamic" ErrorMessage="<%$ Resources: Idioma, lblSeleccionCriterio %>" ValidationGroup="grActivo"></asp:RequiredFieldValidator>
                        </td>
                        <td style="text-align: center;"><br />
                            <asp:Button ID="btnMantenimientoActivo" runat="server" CausesValidation="False" Width="250px" Text="<%$ Resources:Idioma,lblMantenimientoActivos %>" /> 
                            <br /><br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        
        <tr>
            <td>
                <div style="overflow:auto; width:502px; height: 184px;">
                    <asp:GridView ID="gvListaActivos" runat="server" AutoGenerateColumns="false">
                        <Columns>        
                            <asp:BoundField DataField="idActivo" SortExpression="idActivo" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
                            <asp:BoundField DataField="descripcionActivo" SortExpression="descripcionActivo" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="250px"  />
                            <asp:BoundField DataField="valorActivo" SortExpression="valorActivo" DataFormatString="{0:#,##0.00}" ItemStyle-HorizontalAlign="Right"  HeaderText="<%$ Resources:Idioma, lblvalor %>" ItemStyle-Width="120px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkActivo" runat="server" />
                                    <asp:Label ID="lblIdAmenazaActivo" runat="server" Text='<%# Eval("idEstudioAmenazaActivo") %>' Visible="false"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    </div> <br />
            </td>
        </tr>
        
        <tr>
            <td style="text-align:right">
                <asp:LinkButton ID="lnkTotal" Font-Size="Small" Text="<%$ Resources: lnkTotal %>" runat="server" ></asp:LinkButton>&nbsp;&nbsp;
                <asp:Label ID="lblresultadoParcial" runat="server" Text="0.00" Width="150px"></asp:Label>
            </td>
        </tr>
        
        <tr>
            <td><br />
                <asp:Label CssClass="subtituloTercerNivel" ID="lblConsecuencia" runat="server" Text="<%$ Resources:lblConsecuencia %>"></asp:Label>
            </td>
        </tr>
        
        <tr>
            <td>
                <asp:TextBox ID="txtConsecuencia" runat="server" Width="500px" Height ="70px" TextMode ="MultiLine" MaxLength="300" style="text-align: justify"></asp:TextBox><br />
                <asp:CustomValidator ID="cvConsecuencia" runat="server" ControlToValidate="txtConsecuencia"></asp:CustomValidator>
                <br />
            </td>
        </tr>
        
        <tr>
            <td>
                <asp:Label CssClass="subtituloTercerNivel" ID="lblFrecuencia" runat="server" Text="<%$ Resources:Idioma,lblFrecuencia %>"></asp:Label>&nbsp;*
                <asp:DropDownList ID="drpFrecuencia" runat="server"></asp:DropDownList><br /><br />
                <asp:Label ID="lblRangoPerdida" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources:Idioma,lblRango %>"></asp:Label>&nbsp;*
                <br />
            </td></tr>
        <tr>
            <td>
                <asp:Panel runat="server" ScrollBars="Auto" CssClass="izquierda">
                    <asp:GridView ID="gvTipoImpacto" runat="server" AutoGenerateColumns="false"  >
                        <Columns>
                            <asp:BoundField DataField="idTipoImpacto" HeaderText="<%$ Resources:Idioma, lblId %>" />
                            <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblTipoImpacto %>" ItemStyle-Width="100px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblCriterioEvaluacion %>" >
                                <ItemTemplate>
                                <asp:DropDownList ID="drpCriterio" runat="server" Width="500px"></asp:DropDownList>
                                </ItemTemplate>
                           </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
                
                <br /><br />
            </td>
        </tr>
        <tr>
            <td>            
                <asp:Label ID="lblArea" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources:lblAreas %>"></asp:Label>&nbsp;*
            </td>
        </tr>
        
        <tr>
            <td>
                <div style="overflow:auto; width:502px; height: 132px;">
                    <asp:GridView ID="gvListaAreas" runat="server" AutoGenerateColumns="false">
                        <Columns>
                            <asp:BoundField DataField="idArea" SortExpression="idArea" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
                            <asp:BoundField DataField="nombreArea" SortExpression="nombreArea" HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="400px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkArea" runat="server" />
                                    <asp:Label ID="lblIdAmenazaArea" runat="server" Text='<%# Eval("idEstudioAmenazaArea") %>' Visible="false"></asp:Label>                            
                                    <asp:Label ID="lblIdEstudioArea" runat="server" Text='<%# Eval("idEstudioArea") %>' Visible="false"></asp:Label>                            
                                </ItemTemplate>
                           </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div><br />
            </td>
        </tr>
       
        <tr>
            <td><br />
                <asp:Label ID="lblEscenario" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources:lblEscenarios %>"></asp:Label>&nbsp;*
            </td>
        </tr>
        
        <tr>
            <td>
                <div style="overflow:auto; width:502px; height: 184px;">
                    <asp:GridView ID="gvListaEscenarios" runat="server" AutoGenerateColumns="false">
                        <Columns>
                            <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px" />
                            <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">               
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkEscenario" runat="server" />
                                    <asp:Label ID="lblIdAmenazaEscenario" runat="server" Text='<%# Eval("idEstudioAmenazaEscenario") %>' Visible="false"></asp:Label>
                                    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text='<%# Eval("idEstudioEscenario") %>'  Visible ="false" ></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView></div>
                <br />
            </td>
        </tr>
        
        <tr>
            <td style="height: 30px">            
                <asp:Label ID="lblIncidente" runat="server" Text="<%$ Resources:lblIncidente %>"></asp:Label>&nbsp;
                <asp:Button ID="btnIncidente" runat="server" CausesValidation="False" Width="260px" Text ="<%$ Resources: Idioma,lblMantenimientoIncidentes %>" />
                <br /><br />
            </td>
        </tr>
        
        <tr>
            <td>
            <asp:Label ID="lblNoIncidentes" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
                <asp:GridView ID="gvListaIncidentes" runat="server" AutoGenerateColumns="false" Width="500px">
                    <Columns>
                        <asp:BoundField DataField="idIncidenteSeguridad" SortExpression="idIncidenteSeguridad" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="50px" />
                        <asp:BoundField DataField="descripcionIncidente" SortExpression="descripcionIncidente" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="250px" />
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                            <ItemTemplate>
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idIncidenteSeguridad")%>' CausesValidation ="false">
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar('Incidente de Seguridad',false)" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idIncidenteSeguridad")%>' CausesValidation ="false">
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label>
                                </asp:LinkButton>
                            </ItemTemplate>
                       </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <br />
            </td>
        </tr>
        
        <tr>
            <td>            
                <asp:Label ID="lblTipoRiesgo" width="176px" runat="server" Text="<%$ Resources:lblTipo %>"></asp:Label><asp:Button ID="btnTipoRiesgo" runat="server" CausesValidation="False" Width="250px" Text="<%$ Resources:Idioma,lblMantenimientoTipoRiesgo %>" />
            </td>
        </tr>
        
        <tr>
            <td>
                <asp:DropDownList ID="drpTipoRiesgo" runat="server" Width="100px"></asp:DropDownList>
            </td>
        </tr>

        <tr>
            <td align="center" style="height: 60px">
                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" CausesValidation="true" />&nbsp;
                <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, btnModificar %>" CausesValidation="False" UseSubmitBehavior="False" Visible="false"/>&nbsp;
                <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnCancelar %>" CausesValidation="false"/>&nbsp;
                <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" /><br />
        </td>
    </tr>
</table>
</div>
    
</asp:Content>