﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="ListarAmenazasPorEscenario.aspx.vb" Inherits="AudiControl.ListarAmenazasPorEscenario" 
    title="<%$ Resources:TituloPaginas, TitListaEscenariosAmenazas %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    
  <div >
     <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblEvaluacionPO %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> " Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblSeleccionControlesNecesarios %>"></asp:Label>
</div>
  <div class="header">
        <asp:Label ID="lblEvaluarProteccion" runat="server" 
          Text="<%$ Resources:TituloPasos, lblEvaluarProteccion %>"></asp:Label>    
    </div>
    <uc1:UCErroresLogicaNegocio id="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <asp:GridView ID="gvListaEscenarios" runat="server" AutoGenerateColumns="false">
        <Columns>
            <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="100px" />
            <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario" HeaderText="<%$ Resources:Idioma, lblEscenario %>" ItemStyle-Width="400px" />
            
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblTerminadoM %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:Label ID="lblEstado" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                </ItemTemplate>  
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAmenazas %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEstudioEscenario")%>' CausesValidation ="false">
                        <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
         <asp:Label ID="lblDatosEscenario" runat="server" Text="" Visible="false" CssClass="subtitulo"></asp:Label>
         <br />
         <br />
         <asp:Label ID="lblNoAmenaza" runat="server" Text="" Visible="false" CssClass="subtitulo"></asp:Label>
      <asp:GridView ID="gvLitaAmenazas" runat="server" AutoGenerateColumns="false" 
          Visible="False">
        <Columns>
            <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" 
                HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="100px" >
            </asp:BoundField>
            <asp:BoundField DataField="descripcionAmenaza" 
                SortExpression="descripcionAmenaza" 
                HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="400px" >
            </asp:BoundField>
            
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblTerminado %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:Label ID="lblEstadoAmenaza" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                </ItemTemplate>  
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEvaluacion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVerAmenaza" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEstudioAmenaza")%>' CausesValidation ="false">
                        <asp:Label ID="lblVerAmenaza" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                </ItemTemplate>
           </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
    <asp:DropDownList ID="drpReporte" runat="server">
        <asp:ListItem Selected="True" Text="<%$ Resources: Idioma, rptReporteEvaluacionAmenazaDetalle %>" Value="1"></asp:ListItem>
        <asp:ListItem Text="<%$ Resources: Idioma, rptReporteEvaluacionAmenazaSinControl %>" Value="2"></asp:ListItem>
        </asp:DropDownList>&nbsp; 
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources: Idioma, btnReportes %>" />&nbsp;
     <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false" />
<!--asp:ListItem Text= Resources: Idioma, rptReporteEvaluacionAmenazaConDebilidad% Value="3"-->
    </div>
    
</asp:Content>
