﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master"
    CodeBehind="RelacionAmenazasRiesgosEstudio.aspx.vb" Inherits="AudiControl.RelacionAmenazasRiesgosEstudio"
    Title="<%$ Resources:TituloPaginas, TitRelacionRiesgoAmenazas %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

   <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources: Idioma, msgEliminaRelacion %>" style="display:none"></asp:Label>

   <div style="text-align:center;">
   <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblSeleccionAmenazas %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> " Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblValorarRiesgosPotenciales %>"></asp:Label>
</div>
        <div class="header">
            <asp:Label ID="lblRelacionAmenazasRiesgos" runat="server" Text="<%$ Resources:TituloPasos, lblRelacionAmenazasRiesgos %>"></asp:Label></div>
            <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <br />
        <table>
        <tr><td colspan="2" style="text-align: right">
            <asp:Label ID="lblCategoria" runat="server" Text="<%$ Resources: lblCategoriaCritica %>" CssClass="subtitulo"></asp:Label>
            <br />
            <br />
            </td><td style="text-align: left">&nbsp;&nbsp;
                <asp:Label ID="lblNombreCategoria" runat="server" CssClass="subtitulo"></asp:Label>
                <br />
                <br />
            </td></tr>
            <tr><td colspan="3"><asp:Label ID="lblNoSeleccion" runat="server" Visible="False" CssClass="colorError"></asp:Label>
                </td></tr>
            <tr><td colspan="3">
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    </td></tr>
        <tr><td><asp:Label ID="lblAmenazasElegibles" runat="server" 
                Text="<%$ Resources:lblAmenazasElegibles %>" Font-Bold="True"></asp:Label>
                <br />
                </td><td></td>
                <td><asp:Label ID="lblAmenazasSeleccionadas" runat="server" 
                        Text="<%$ Resources:lblAmenazasSeleccionadas %>" Font-Bold="True" ></asp:Label>
                        <asp:Label ID="lblAsterisco" runat="server" 
                        Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                    <br />
                </td></tr>
         <tr><td><asp:Label ID="lblNoRelacion" runat="server" Text="" Visible="false" CssClass="colorError"></asp:Label>
                </td><td></td>
                <td><asp:Label ID="lblNoAmenaza" runat="server" Text="" Visible="false" CssClass="colorError"></asp:Label>
                </td></tr>
            <tr><td>
                    <div style="overflow: auto; width: 400px; height: 115px;">
                    <br />
                        <asp:GridView ID="gvListaAmenazasRiesgo" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkSeleccionarAmenaza" runat="server" 
                                            oncheckedchanged="chkSeleccionarAmenaza_CheckedChanged" AutoPostBack="true"  />                                 
                                            <asp:Label ID="lblIdEstudioCategoria" runat="server" Text='<%# Eval("idEstudioCategoria") %>'
                                            Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdRiesgoAmenaza" runat="server" Text='<%# Eval("idRiesgoAmenaza") %>'
                                            Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdAmenaza" runat="server" Text='<%# Eval("idAmenaza") %>'
                                            Visible="false"></asp:Label>
                                            <asp:Label ID="lblSeleccion" runat="server" Text='<%# Eval("seleccion") %>'
                                            Visible="false"></asp:Label>
                                            </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="40px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="idRiesgoAmenaza" SortExpression="idRiesgoAmenaza" HeaderText="<%$ Resources:Idioma, lblRelacion %>"
                                    ItemStyle-Width="90px" Visible="false" >
                                </asp:BoundField>
                                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="90px" >
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="280px" >
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                        <br />
                    </div>
                    <br />
                    <asp:TextBox ID="txtDescripcionAmenaza" runat="server" TextMode="MultiLine" 
                        Height="62px" Width="400px" Enabled="False" ReadOnly="True"></asp:TextBox>
                </td>
                <td style="width: 50px">
                        <asp:Button ID="btnAsignarAmenazaTodas" runat="server" Text="&gt;&gt;" 
            Width="36px" />
                        <br />
        <asp:Button ID="btnAsignarAmenaza" runat="server" Text="&gt;" Width="36px" />
                        <br />
                      
        <asp:Button ID="btnDesasignarAmenaza" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ctl00_ContenidoPrincipal_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" />
                        <br />
        <asp:Button ID="btnDesasignarAmenazaTodas" runat="server" Text="&lt;&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ctl00_ContenidoPrincipal_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" />
          <br />
            <br />
              <br />
                </td>
                <td>
                    <div style="overflow: auto; width: 400px; height: 206px;">
                    <br />
                        <asp:GridView ID="gvCategoriaAmenazaEstudio" runat="server" 
                            AutoGenerateColumns="False">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="40px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkDesmarcarAmenaza" runat="server" 
                                            oncheckedchanged="chkDesmarcarAmenaza_CheckedChanged" />
                                        <asp:Label ID="lblIdRiesgoAmenazaEstudio" runat="server" Text='<%# Eval("idRiesgoAmenazaEstudio") %>'
                                            Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdAmenaza" runat="server" Text='<%# Eval("idAmenaza") %>'
                                            Visible="false"></asp:Label>                                    
                                            <asp:Label ID="lblIdCategoria" runat="server" Text='<%# Eval("idCategoriaRiesgo") %>'
                                            Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdRiesgoAmenaza" runat="server" Text='<%# Eval("idRiesgoAmenaza") %>'
                                            Visible="false"></asp:Label>
                                            <asp:Label ID="lblIdEstudioCategoria" runat="server" Text='<%# Eval("idEstudioCategoria") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px">
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="280px">
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                    </div>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnMantenimientoAmenazas" runat="server" Width="177px" />&nbsp;
        <asp:Button ID="btnMantenimientoRelaciones" runat="server" Width="181px"  />&nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" CausesValidation="false"/>
        <br /><br />
    </div>
</asp:Content>
