<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/MenuSGR.master" CodeBehind="ReporteRIAgenteGenerador.aspx.vb" Inherits="AudiControl.ReporteRIAgenteGenerador" 
    title="<%$ Resources:TituloPaginas, TitPerfilRiAgente %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio" TagPrefix="uc1" %>
    
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be" Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>  
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

<asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
<asp:Label ID="lblIdPagina" runat="server" Text="" Visible="false"></asp:Label>

<div style="text-align:center;">
  <div class="alineacionIzquierda">
<asp:Label ID="lblRuta" runat="server" Text="<%$ Resources:Rutas, lblPerfilRIAgente %>" CssClass="ruta" ></asp:Label>
</div>
<div class ="headerContent">
    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>" Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEmpresa" runat="server" ></asp:Label><br />
    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> " Width="120px"></asp:Label>
    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label><br />
    <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblValorarRiesgosPotenciales %>"></asp:Label>
</div>
<div class="header">
            <asp:Label ID="lblPerfilRIAgente" runat="server" Text="<%$ Resources:TituloPasos, lblPerfilRIAgente %>"></asp:Label></div>
            <br />
<uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
<br />
    <asp:GridView ID="gvPerfilRIAgente" runat="server" AutoGenerateColumns="False" >
        <Columns>
            <asp:BoundField DataField="idAgente" SortExpression="idAgente" HeaderText="<%$ Resources:Idioma, lblId %>" />
            <asp:BoundField DataField="nombreAgente" SortExpression="nombreAgente" HeaderText="<%$ Resources:Idioma, lblAgenteG %>" ItemStyle-Width="200px" />
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblTotalAmenazas %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-Width="40px">
                <ItemTemplate>
                    <asp:Label ID="lblTotalAmenazas" runat="server" Text='<%# Eval("TotalAmenazas")%>' ></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="50px">
                <ItemTemplate>
                    <asp:Label ID="lblRI" runat="server" Text='<%# Eval("RiesgoInherente")%>' Visible="true"></asp:Label>   
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblSignificadoRI %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:Label ID="lblSignificadoRI" runat="server" Text='<%# Eval("significadoRiesgo")%>' Visible="true"></asp:Label>   
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                <ItemTemplate>
                    <asp:Label ID="lblTotalAmenazasMuyAlto" runat="server" Text='<%# Eval("TotalAmenazasMuyAlto")%>' ></asp:Label>   
                </ItemTemplate>
                <HeaderStyle HorizontalAlign="Center" BackColor="Red" ForeColor="Black"></HeaderStyle>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                <ItemTemplate>
                    <asp:Label ID="lblTotalAmenazasGrave" runat="server" Text='<%# Eval("TotalAmenazasGrave")%>' ></asp:Label>   
                </ItemTemplate>
                <HeaderStyle HorizontalAlign="Center" BackColor="Orange" ForeColor="Black"></HeaderStyle>
            </asp:TemplateField>
            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                <ItemTemplate>
                    <asp:Label ID="lblTotalAmenazasAlto" runat="server" Text='<%# Eval("TotalAmenazasAlto")%>' ></asp:Label>   
                </ItemTemplate>
                <HeaderStyle HorizontalAlign="Center" BackColor="Yellow" ForeColor="Black"></HeaderStyle>
           </asp:TemplateField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="80px">
                <ItemTemplate>
                    <asp:Label ID="lblTotalAmenazasAceptable" runat="server" Text='<%# Eval("TotalAmenazasAceptable")%>' Visible="true"></asp:Label>   
                </ItemTemplate>
                <HeaderStyle HorizontalAlign="Center" BackColor="Green" ForeColor="White"></HeaderStyle>
           </asp:TemplateField>
           <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" 
                        CommandArgument='<%# Eval("idAgente")%>' CausesValidation ="false">
                        <asp:Label ID="lblVer" runat="server" Text="<%$ Resources: Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
            <telerik:ReportViewer ID="rvReporteGraficaRiesgoInherentePorAgente" 
                runat="server" Height="440px" 
                Report="Com.Audisis.Reportes.ReporteGraficaRiesgoInherentePorAgente, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" 
                ToolbarVisible="False" Width="680px" >
            </telerik:ReportViewer>
    <table>
        <tr><td align="center" style="width: 670px">
    <asp:Button ID="btnReporte" runat="server" 
        Text="<%$ Resources:Idioma, btnReportes %>" CausesValidation="False" />
        &nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>" />
        &nbsp;&nbsp;&nbsp;
        </td></tr></table>
        </div> 
</asp:Content>
